#<profile4xi profile = "11" />  
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two4xi.py">
#<abstract4xi abstract = "fires to direction two"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------
 
# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two104xi            # 10   - 90 
global shot2two1004xi           # 100  -    
global shot2two2004xi    
global shot2two3004xi
global shot2two4004xi
global shot2two5004xi
global shot2two6004xi
global shot2two7004xi
global shot2two8004xi
global shot2two9004xi
global shot2two10004xi            
global shot2two11004xi
global shot2two12004xi
global shot2two13004xi
global shot2two14004xi
global shot2two15004xi
global shot2two16004xi
global shot2two17004xi
global shot2two18004xi
global shot2two19004xi
global shot2two20004xi
global shot2two21004xi
global shot2two22004xi
global shot2two23004xi
global shot2two24004xi
global shot2two25004xi
global shot2two26004xi
global shot2two27004xi
global shot2two28004xi
global shot2two29004xi
global shot2two30004xi
global shot2two31004xi
global shot2two32004xi
global shot2two33004xi
#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y + ,Z + ) 
# -------------------------------------------------------------------------------------------------    

# -------------------------------------------------------------------------------------------------
# 10
# -------------------------------------------------------------------------------------------------
shot2two104xi = {
        1:'0x-27y-41z',
        2:'0x-27y-42z',
        3:'0x-6y-7z',
        4:'0x0y-29z',
        5:'0x0y-69z',
        6:'10x-20y-44z',
        7:'10x-21y-44z',
        8:'11x-19y-44z',
        9:'11x-27y0z',
        10:'12x-1y-27z',
        11:'12x-27y0z',
        12:'12x0y-27z',
        13:'13x-1y-26z',
        14:'13x-2y-26z',
        15:'13x-3y-26z',
        16:'13x-4y-26z',
        17:'13x-5y-26z',
        18:'13x-68y-4z',
        19:'14x-26y0z',
        20:'15x-20y-53z',
        21:'15x-22y-53z',
        22:'15x-25y0z',
        23:'16x-19y-54z',
        24:'16x-24y0z',
        25:'16x-67y-4z',
        26:'17x-16y-54z',
        27:'17x-18y-54z',
        28:'18x-13y-55z',
        29:'18x-14y-55z',
        30:'18x-15y-54z',
        31:'18x-23y0z',
        32:'19x-10y-55z',
        33:'19x-11y-55z',
        34:'19x-22y-1z',
        35:'19x-7y-56z',
        36:'19x-9y-56z',
        37:'19x0y-67z',
        38:'1x-5y-7z',
        39:'1x-6y-7z',
        40:'20x-1y-67z',
        41:'20x-21y-1z',
        42:'20x-2y-66z',
        43:'20x-66y-5z',
        44:'21x-20y-1z',
        45:'21x-3y-66z',
        46:'21x-5y-66z',
        47:'21x-6y-66z',
        48:'22x-19y-2z',
        49:'22x-7y-65z',
        50:'23x-18y-2z',
        51:'27x-74y-7z',
        52:'2x-26y-42z',
        53:'2x-5y-7z',
        54:'2x-5y-8z',
        55:'2x-69y-2z',
        56:'31x-73y-8z',
        57:'32x-22y-3z',
        58:'33x-21y-3z',
        59:'34x-19y-4z',
        60:'34x-71y-8z',
        61:'35x-17y-4z',
        62:'36x-15y-5z',
        63:'37x-11y-5z',
        64:'37x-13y-5z',
        65:'38x-5y-7z',
        66:'38x-69y-9z',
        67:'38x-7y-6z',
        68:'38x-9y-6z',
        69:'39x-1y-7z',
        70:'39x-3y-7z',
        71:'3x-25y-42z',
        72:'42x-67y-10z',
        73:'45x-64y-11z',
        74:'48x-62y-12z',
        75:'4x-25y-42z',
        76:'51x-59y-12z',
        77:'54x-56y-13z',
        78:'57x-53y-14z',
        79:'5x-10y-16z',
        80:'5x-24y-43z',
        81:'60x-50y-15z',
        82:'62x-47y-15z',
        83:'6x-69y-2z',
        84:'6x-9y-16z',
        85:'72x-49y-18z',
        86:'7x-23y-43z',
        87:'7x-6y0z',
        88:'7x-7y-16z',
        89:'7x-7y0z',
        90:'7x-8y-16z',
        91:'8x-23y-43z',
        92:'8x-4y-17z',
        93:'8x-4y0z',
        94:'8x-5y-17z',
        95:'8x-5y0z',
        96:'8x-6y-16z',
        97:'8x-6y-17z',
        98:'8x-7y-16z',
        99:'9x-1y0z',
        100:'9x-22y-43z',
        101:'9x-28y0z',
        102:'9x-2y0z',
        103:'9x-3y0z',
        104:'9x-4y0z',
        105:'9x-69y-3z',
        106:'9x0y0z'}

# -------------------------------------------------------------------------------------------------
# 100
# -------------------------------------------------------------------------------------------------
shot2two1004xi = {
        1:'0x-44y-89z',
        2:'0x-66y-74z',
        3:'0x0y-99z',
        4:'10x-63y-76z',
        5:'11x-37y-92z',
        6:'11x-49y-86z',
        7:'13x-35y-92z',
        8:'13x-62y-77z',
        9:'13x-98y-5z',
        10:'14x-47y-86z',
        11:'16x-46y-87z',
        12:'16x-60y-77z',
        13:'18x-44y-87z',
        14:'19x-58y-78z',
        15:'19x-97y-6z',
        16:'1x-43y-90z',
        17:'1x-54y-84z',
        18:'20x-42y-88z',
        19:'21x-40y-88z',
        20:'22x-56y-79z',
        21:'23x-38y-89z',
        22:'24x-54y-79z',
        23:'24x-96y-7z',
        24:'25x-36y-89z',
        25:'26x-34y-89z',
        26:'27x-32y-90z',
        27:'27x-52y-80z',
        28:'27x0y-96z',
        29:'28x-2y-95z',
        30:'28x-30y-90z',
        31:'29x-28y-91z',
        32:'29x-3y-95z',
        33:'29x-50y-80z',
        34:'29x-68y-185z',
        35:'29x-95y-8z',
        36:'30x-23y-92z',
        37:'30x-26y-91z',
        38:'30x-5y-95z',
        39:'30x-7y-94z',
        40:'31x-11y-94z',
        41:'31x-13y-93z',
        42:'31x-15y-93z',
        43:'31x-17y-93z',
        44:'31x-19y-92z',
        45:'31x-21y-92z',
        46:'31x-48y-81z',
        47:'31x-9y-94z',
        48:'33x-46y-82z',
        49:'34x-93y-9z',
        50:'35x-43y-82z',
        51:'37x-41y-83z',
        52:'38x-38y-83z',
        53:'38x-91y-10z',
        54:'3x-42y-90z',
        55:'3x-65y-75z',
        56:'3x-99y-3z',
        57:'40x-35y-84z',
        58:'41x-33y-84z',
        59:'42x-1y-90z',
        60:'42x-30y-85z',
        61:'43x-24y-86z',
        62:'43x-27y-85z',
        63:'43x-4y-90z',
        64:'43x-6y-89z',
        65:'43x-89y-11z',
        66:'44x-11y-88z',
        67:'44x-14y-88z',
        68:'44x-16y-87z',
        69:'44x-19y-87z',
        70:'44x-22y-86z',
        71:'44x-9y-89z',
        72:'46x-88y0z',
        73:'48x-86y-12z',
        74:'4x-53y-84z',
        75:'51x-85y0z',
        76:'52x-84y-13z',
        77:'55x-82y-1z',
        78:'56x-81y-14z',
        79:'60x-77y-15z',
        80:'60x-79y-2z',
        81:'64x-74y-16z',
        82:'64x-76y-3z',
        83:'68x-70y-17z',
        84:'68x-73y-4z',
        85:'6x-41y-90z',
        86:'6x-51y-85z',
        87:'71x-67y-18z',
        88:'71x-69y-5z',
        89:'75x-63y-18z',
        90:'75x-65y-6z',
        91:'78x-58y-19z',
        92:'78x-61y-7z',
        93:'7x-64y-75z',
        94:'81x-54y-20z',
        95:'81x-57y-8z',
        96:'83x-50y-21z',
        97:'84x-52y-9z',
        98:'85x-45y-22z',
        99:'86x-48y-10z',
        100:'88x-40y-23z',
        101:'89x-36y-24z',
        102:'89x-43y-11z',
        103:'8x-39y-91z',
        104:'8x-99y-4z',
        105:'91x-31y-25z',
        106:'91x-38y-12z',
        107:'92x-26y-26z',
        108:'93x-21y-27z',
        109:'93x-33y-13z',
        110:'94x-11y-29z',
        111:'94x-16y-28z',
        112:'94x-1y-31z',
        113:'94x-28y-14z',
        114:'94x-6y-30z',
        115:'95x-23y-15z',
        116:'95x-30y0z',
        117:'96x-18y-16z',
        118:'96x-25y0z',
        119:'97x-13y-17z',
        120:'97x-20y-1z',
        121:'97x-3y-19z',
        122:'97x-8y-18z',
        123:'98x-15y-2z',
        124:'99x-10y-3z',
        125:'99x-5y-4z',
        126:'9x-38y-91z',
        127:'9x-50y-85z'}

              
# -------------------------------------------------------------------------------------------------
# 200
# -------------------------------------------------------------------------------------------------
shot2two2004xi = {
        1:'0x-133y-149z',
        2:'0x-88y-179z',
        3:'0x0y-199z',
        4:'103x-171y-1z',
        5:'105x-168y-26z',
        6:'111x-165y-3z',
        7:'113x-162y-28z',
        8:'120x-159y-5z',
        9:'121x-155y-30z',
        10:'128x-153y-7z',
        11:'129x-148y-32z',
        12:'12x-82y-181z',
        13:'136x-141y-34z',
        14:'136x-146y-9z',
        15:'13x-103y-170z',
        16:'143x-134y-36z',
        17:'143x-138y-11z',
        18:'14x-129y-151z',
        19:'150x-126y-37z',
        20:'150x-130y-13z',
        21:'156x-117y-39z',
        22:'157x-122y-15z',
        23:'162x-109y-41z',
        24:'163x-114y-17z',
        25:'167x-100y-43z',
        26:'168x-105y-19z',
        27:'16x-79y-182z',
        28:'171x-91y-45z',
        29:'173x-96y-21z',
        30:'176x-81y-47z',
        31:'178x-87y-23z',
        32:'179x-72y-49z',
        33:'17x-199y-8z',
        34:'182x-62y-51z',
        35:'182x-77y-25z',
        36:'185x-53y-53z',
        37:'186x-67y-27z',
        38:'187x-43y-55z',
        39:'188x-33y-57z',
        40:'189x-13y-61z',
        41:'189x-23y-59z',
        42:'189x-3y-63z',
        43:'189x-57y-29z',
        44:'18x-101y-171z',
        45:'191x-47y-31z',
        46:'193x-37y-33z',
        47:'193x-51y0z',
        48:'194x-27y-35z',
        49:'195x-17y-37z',
        50:'195x-41y-2z',
        51:'195x-6y-39z',
        52:'197x-31y-4z',
        53:'198x-20y-6z',
        54:'199x-10y-8z',
        55:'19x-77y-183z',
        56:'20x-126y-153z',
        57:'23x-98y-172z',
        58:'27x-124y-154z',
        59:'27x-197y-10z',
        60:'28x-95y-173z',
        61:'2x-108y-168z',
        62:'32x-92y-174z',
        63:'33x-120y-155z',
        64:'34x-111y-276z',
        65:'36x-88y-175z',
        66:'38x-117y-157z',
        67:'38x-195y-12z',
        68:'3x-86y-180z',
        69:'40x-85y-176z',
        70:'43x-81y-177z',
        71:'44x-113y-158z',
        72:'47x-77y-178z',
        73:'48x-193y-14z',
        74:'49x-109y-159z',
        75:'50x-73y-179z',
        76:'52x-69y-179z',
        77:'54x-105y-160z',
        78:'55x-1y-192z',
        79:'55x-65y-180z',
        80:'57x-4y-191z',
        81:'57x-60y-181z',
        82:'58x-190y-16z',
        83:'58x-7y-190z',
        84:'59x-101y-161z',
        85:'59x-56y-182z',
        86:'60x-11y-190z',
        87:'60x-52y-183z',
        88:'61x-14y-189z',
        89:'61x-47y-184z',
        90:'62x-18y-189z',
        91:'62x-43y-184z',
        92:'63x-22y-188z',
        93:'63x-26y-187z',
        94:'63x-30y-187z',
        95:'63x-34y-186z',
        96:'63x-39y-185z',
        97:'63x-96y-163z',
        98:'67x-92y-164z',
        99:'68x-187y-18z',
        100:'71x-87y-165z',
        101:'74x-82y-166z',
        102:'77x-183y-20z',
        103:'77x-76y-167z',
        104:'7x-131y-150z',
        105:'7x-199y-6z',
        106:'7x-84y-180z',
        107:'80x-71y-168z',
        108:'82x-66y-169z',
        109:'84x-3y-181z',
        110:'84x-60y-170z',
        111:'86x-55y-171z',
        112:'86x-8y-180z',
        113:'87x-13y-179z',
        114:'87x-178y-22z',
        115:'87x-49y-172z',
        116:'88x-18y-178z',
        117:'88x-44y-173z',
        118:'89x-23y-177z',
        119:'89x-28y-176z',
        120:'89x-33y-175z',
        121:'89x-39y-174z',
        122:'8x-106y-169z',
        123:'93x-176y0z',
        124:'96x-173y-24z'}

# -------------------------------------------------------------------------------------------------
# 300
# -------------------------------------------------------------------------------------------------
shot2two3004xi = {
        1:'0x0y-299z',
        2:'101x-138y-246z',
        3:'102x-280y-27z',
        4:'107x-130y-247z',
        5:'10x-299y-9z',
        6:'112x-123y-249z',
        7:'116x-115y-251z',
        8:'116x-274y-30z',
        9:'11x-127y-271z',
        10:'11x-197y-225z',
        11:'120x-107y-252z',
        12:'124x-99y-254z',
        13:'126x-91y-256z',
        14:'127x-5y-271z',
        15:'129x-12y-270z',
        16:'129x-82y-257z',
        17:'12x-159y-253z',
        18:'130x-267y-33z',
        19:'131x-19y-269z',
        20:'131x-74y-259z',
        21:'132x-27y-267z',
        22:'132x-66y-260z',
        23:'133x-34y-266z',
        24:'133x-58y-262z',
        25:'134x-42y-264z',
        26:'134x-50y-263z',
        27:'140x-264y0z',
        28:'144x-260y-36z',
        29:'154x-257y-2z',
        30:'157x-252y-39z',
        31:'167x-248y-5z',
        32:'170x-243y-42z',
        33:'180x-239y-8z',
        34:'182x-233y-45z',
        35:'18x-123y-272z',
        36:'192x-229y-11z',
        37:'194x-223y-48z',
        38:'1x-199y-223z',
        39:'204x-219y-14z',
        40:'205x-212y-51z',
        41:'20x-155y-255z',
        42:'215x-201y-54z',
        43:'215x-208y-17z',
        44:'21x-193y-227z',
        45:'225x-189y-56z',
        46:'225x-196y-20z',
        47:'234x-176y-59z',
        48:'235x-184y-23z',
        49:'243x-163y-62z',
        50:'244x-171y-26z',
        51:'24x-119y-273z',
        52:'250x-150y-65z',
        53:'253x-158y-29z',
        54:'257x-136y-68z',
        55:'260x-144y-32z',
        56:'264x-122y-71z',
        57:'267x-130y-35z',
        58:'269x-108y-74z',
        59:'26x-298y-12z',
        60:'273x-116y-38z',
        61:'274x-94y-77z',
        62:'277x-79y-80z',
        63:'279x-101y-41z',
        64:'27x-152y-257z',
        65:'280x-64y-83z',
        66:'283x-49y-86z',
        67:'283x-86y-44z',
        68:'284x-19y-91z',
        69:'284x-34y-88z',
        70:'284x-4y-94z',
        71:'287x-71y-47z',
        72:'289x-77y0z',
        73:'290x-56y-50z',
        74:'292x-41y-53z',
        75:'293x-10y-59z',
        76:'293x-25y-56z',
        77:'293x-62y-3z',
        78:'296x-46y-6z',
        79:'298x-31y-9z',
        80:'299x-15y-12z',
        81:'29x-115y-275z',
        82:'31x-190y-229z',
        83:'34x-111y-276z',
        84:'35x-147y-258z',
        85:'3x-162y-252z',
        86:'40x-186y-231z',
        87:'41x-296y-15z',
        88:'42x-143y-260z',
        89:'48x-138y-261z',
        90:'49x-181y-233z',
        91:'52x-142y-370z',
        92:'54x-133y-263z',
        93:'57x-293y-18z',
        94:'58x-176y-235z',
        95:'5x-130y-270z',
        96:'60x-127y-264z',
        97:'65x-122y-265z',
        98:'66x-170y-237z',
        99:'70x-116y-267z',
        100:'72x-290y-21z',
        101:'74x-164y-239z',
        102:'75x-110y-268z',
        103:'79x-104y-269z',
        104:'82x-158y-240z',
        105:'82x-97y-271z',
        106:'83x-2y-288z',
        107:'85x-7y-287z',
        108:'86x-91y-272z',
        109:'87x-285y-24z',
        110:'88x-11y-286z',
        111:'88x-84y-273z',
        112:'89x-152y-242z',
        113:'90x-17y-285z',
        114:'91x-78y-274z',
        115:'92x-22y-284z',
        116:'92x-71y-276z',
        117:'93x-27y-283z',
        118:'94x-33y-282z',
        119:'94x-65y-277z',
        120:'95x-145y-244z',
        121:'95x-39y-281z',
        122:'95x-45y-280z',
        123:'95x-52y-279z',
        124:'95x-58y-278z'}

# -------------------------------------------------------------------------------------------------
# 400
# -------------------------------------------------------------------------------------------------
shot2two4004xi = {
        1:'0x0y-399z',
        2:'100x-147y-358z',
        3:'105x-138y-359z',
        4:'109x-211y-321z',
        5:'110x-130y-361z',
        6:'111x-3y-384z',
        7:'114x-121y-363z',
        8:'114x-9y-383z',
        9:'116x-381y-32z',
        10:'117x-15y-381z',
        11:'118x-112y-365z',
        12:'118x-202y-323z',
        13:'120x-22y-380z',
        14:'121x-104y-366z',
        15:'122x-29y-379z',
        16:'123x-95y-368z',
        17:'124x-37y-378z',
        18:'125x-86y-369z',
        19:'126x-45y-376z',
        20:'126x-78y-371z',
        21:'127x-193y-326z',
        22:'127x-53y-375z',
        23:'127x-61y-374z',
        24:'127x-69y-372z',
        25:'135x-184y-328z',
        26:'136x-374y-36z',
        27:'142x-174y-330z',
        28:'149x-164y-332z',
        29:'14x-399y-12z',
        30:'155x-153y-335z',
        31:'155x-366y-40z',
        32:'15x-169y-361z',
        33:'15x-262y-301z',
        34:'160x-143y-337z',
        35:'165x-132y-339z',
        36:'169x-121y-341z',
        37:'169x-7y-362z',
        38:'16x-212y-338z',
        39:'172x-110y-343z',
        40:'172x-17y-360z',
        41:'174x-26y-358z',
        42:'174x-357y-44z',
        43:'175x-99y-345z',
        44:'176x-36y-356z',
        45:'176x-88y-347z',
        46:'178x-46y-355z',
        47:'178x-56y-353z',
        48:'178x-67y-351z',
        49:'178x-78y-349z',
        50:'187x-353y0z',
        51:'192x-347y-48z',
        52:'1x-266y-298z',
        53:'206x-342y-3z',
        54:'210x-336y-52z',
        55:'223x-331y-7z',
        56:'227x-324y-56z',
        57:'240x-319y-11z',
        58:'243x-311y-60z',
        59:'24x-164y-363z',
        60:'256x-306y-15z',
        61:'259x-297y-64z',
        62:'26x-207y-340z',
        63:'272x-292y-19z',
        64:'273x-283y-68z',
        65:'287x-268y-72z',
        66:'287x-277y-23z',
        67:'28x-258y-303z',
        68:'300x-252y-75z',
        69:'301x-261y-27z',
        70:'313x-235y-79z',
        71:'314x-245y-31z',
        72:'324x-218y-83z',
        73:'326x-228y-35z',
        74:'32x-159y-365z',
        75:'334x-200y-87z',
        76:'337x-210y-39z',
        77:'343x-182y-91z',
        78:'347x-192y-43z',
        79:'352x-163y-95z',
        80:'356x-174y-47z',
        81:'359x-144y-99z',
        82:'35x-398y-16z',
        83:'365x-125y-103z',
        84:'365x-154y-51z',
        85:'36x-202y-342z',
        86:'370x-106y-107z',
        87:'372x-135y-55z',
        88:'374x-86y-110z',
        89:'377x-66y-114z',
        90:'378x-115y-59z',
        91:'379x-26y-122z',
        92:'379x-46y-118z',
        93:'379x-6y-126z',
        94:'383x-95y-63z',
        95:'386x-103y-1z',
        96:'387x-75y-67z',
        97:'389x-54y-71z',
        98:'391x-13y-79z',
        99:'391x-34y-75z',
        100:'391x-83y-5z',
        101:'394x-62y-9z',
        102:'397x-41y-13z',
        103:'399x-20y-17z',
        104:'39x-154y-366z',
        105:'41x-253y-306z',
        106:'46x-197y-344z',
        107:'54x-248y-309z',
        108:'55x-395y-20z',
        109:'56x-191y-346z',
        110:'58x-185y-460z',
        111:'5x-216y-336z',
        112:'64x-184y-348z',
        113:'66x-241y-311z',
        114:'73x-177y-350z',
        115:'76x-391y-24z',
        116:'77x-235y-314z',
        117:'7x-173y-360z',
        118:'80x-170y-352z',
        119:'87x-163y-354z',
        120:'88x-227y-316z',
        121:'94x-155y-356z',
        122:'96x-387y-28z',
        123:'99x-219y-318z'}
       
# -------------------------------------------------------------------------------------------------
# 500
# -------------------------------------------------------------------------------------------------
shot2two5004xi = {
        1:'0x0y-499z',
        2:'100x-213y-440z',
        3:'109x-203y-443z',
        4:'111x-284y-395z',
        5:'118x-193y-445z',
        6:'120x-483y-35z',
        7:'124x-274y-398z',
        8:'125x-183y-447z',
        9:'132x-173y-449z',
        10:'136x-264y-401z',
        11:'138x-162y-452z',
        12:'138x-4y-480z',
        13:'143x-11y-478z',
        14:'143x-152y-454z',
        15:'145x-476y-40z',
        16:'147x-141y-456z',
        17:'147x-19y-477z',
        18:'148x-253y-404z',
        19:'150x-28y-475z',
        20:'151x-130y-458z',
        21:'153x-37y-474z',
        22:'154x-119y-460z',
        23:'155x-46y-472z',
        24:'156x-108y-462z',
        25:'157x-56y-471z',
        26:'158x-66y-469z',
        27:'158x-97y-464z',
        28:'159x-242y-407z',
        29:'159x-76y-467z',
        30:'159x-87y-465z',
        31:'169x-230y-410z',
        32:'170x-467y-45z',
        33:'178x-217y-413z',
        34:'17x-499y-15z',
        35:'186x-205y-416z',
        36:'194x-192y-418z',
        37:'194x-457y-50z',
        38:'19x-211y-452z',
        39:'19x-328y-376z',
        40:'1x-332y-373z',
        41:'200x-178y-421z',
        42:'206x-165y-424z',
        43:'20x-265y-423z',
        44:'211x-151y-426z',
        45:'211x-9y-452z',
        46:'215x-138y-429z',
        47:'215x-21y-450z',
        48:'218x-124y-431z',
        49:'218x-33y-448z',
        50:'218x-446y-55z',
        51:'220x-45y-446z',
        52:'221x-111y-434z',
        53:'222x-58y-443z',
        54:'222x-97y-436z',
        55:'223x-71y-441z',
        56:'223x-84y-439z',
        57:'234x-441y0z',
        58:'240x-433y-60z',
        59:'257x-428y-4z',
        60:'262x-420y-65z',
        61:'279x-414y-9z',
        62:'284x-405y-70z',
        63:'300x-399y-14z',
        64:'304x-389y-75z',
        65:'30x-206y-454z',
        66:'321x-382y-19z',
        67:'323x-372y-80z',
        68:'33x-259y-425z',
        69:'340x-365y-24z',
        70:'342x-354y-85z',
        71:'359x-335y-90z',
        72:'359x-346y-29z',
        73:'35x-323y-379z',
        74:'376x-315y-94z',
        75:'376x-327y-34z',
        76:'391x-294y-99z',
        77:'392x-306y-39z',
        78:'405x-273y-104z',
        79:'407x-285y-44z',
        80:'40x-199y-456z',
        81:'418x-251y-109z',
        82:'421x-263y-49z',
        83:'429x-228y-114z',
        84:'434x-240y-54z',
        85:'43x-497y-20z',
        86:'440x-204y-119z',
        87:'446x-217y-59z',
        88:'449x-181y-124z',
        89:'456x-157y-129z',
        90:'456x-193y-64z',
        91:'463x-132y-133z',
        92:'465x-169y-69z',
        93:'468x-107y-138z',
        94:'46x-253y-428z',
        95:'471x-82y-143z',
        96:'472x-144y-74z',
        97:'473x-57y-148z',
        98:'474x-32y-153z',
        99:'474x-8y-157z',
        100:'478x-119y-79z',
        101:'482x-129y-1z',
        102:'483x-94y-84z',
        103:'487x-68y-89z',
        104:'489x-103y-6z',
        105:'489x-17y-99z',
        106:'489x-42y-94z',
        107:'493x-78y-11z',
        108:'496x-52y-16z',
        109:'498x-26y-21z',
        110:'49x-192y-458z',
        111:'52x-317y-383z',
        112:'58x-246y-431z',
        113:'67x-310y-386z',
        114:'69x-222y-552z',
        115:'69x-494y-25z',
        116:'6x-270y-420z',
        117:'70x-238y-433z',
        118:'81x-230y-436z',
        119:'82x-302y-389z',
        120:'91x-222y-438z',
        121:'95x-489y-30z',
        122:'97x-293y-392z',
        123:'9x-217y-450z'}
            
# -------------------------------------------------------------------------------------------------
# 600
# -------------------------------------------------------------------------------------------------
shot2two6004xi = {
        1:'0x0y-599z',
        2:'109x-266y-526z',
        3:'10x-260y-540z',
        4:'114x-587y-36z',
        5:'116x-352y-471z',
        6:'121x-255y-528z',
        7:'131x-244y-531z',
        8:'133x-341y-474z',
        9:'141x-232y-534z',
        10:'145x-580y-42z',
        11:'149x-329y-478z',
        12:'150x-220y-537z',
        13:'158x-208y-539z',
        14:'164x-317y-481z',
        15:'165x-195y-542z',
        16:'166x-4y-576z',
        17:'171x-14y-574z',
        18:'172x-182y-545z',
        19:'175x-571y-48z',
        20:'176x-23y-572z',
        21:'177x-169y-547z',
        22:'178x-304y-485z',
        23:'180x-34y-571z',
        24:'182x-156y-549z',
        25:'184x-44y-569z',
        26:'185x-143y-552z',
        27:'187x-55y-567z',
        28:'188x-130y-554z',
        29:'189x-67y-565z',
        30:'190x-117y-556z',
        31:'190x-79y-563z',
        32:'191x-104y-559z',
        33:'191x-290y-489z',
        34:'191x-91y-561z',
        35:'203x-276y-492z',
        36:'204x-561y-54z',
        37:'214x-261y-495z',
        38:'21x-599y-18z',
        39:'224x-246y-499z',
        40:'22x-394y-451z',
        41:'233x-230y-502z',
        42:'233x-549y-60z',
        43:'23x-254y-542z',
        44:'241x-214y-505z',
        45:'248x-198y-508z',
        46:'24x-318y-507z',
        47:'253x-182y-512z',
        48:'254x-11y-543z',
        49:'258x-165y-515z',
        50:'258x-25y-540z',
        51:'261x-535y-66z',
        52:'262x-149y-518z',
        53:'262x-39y-538z',
        54:'265x-133y-521z',
        55:'265x-54y-535z',
        56:'267x-117y-524z',
        57:'267x-69y-532z',
        58:'268x-101y-527z',
        59:'268x-85y-529z',
        60:'281x-529y0z',
        61:'289x-520y-72z',
        62:'2x-399y-447z',
        63:'309x-514y-5z',
        64:'315x-504y-78z',
        65:'335x-497y-11z',
        66:'340x-486y-84z',
        67:'360x-478y-17z',
        68:'365x-467y-90z',
        69:'36x-247y-545z',
        70:'385x-459y-23z',
        71:'388x-446y-96z',
        72:'408x-438y-29z',
        73:'40x-311y-511z',
        74:'410x-425y-102z',
        75:'430x-416y-35z',
        76:'431x-402y-108z',
        77:'43x-387y-455z',
        78:'451x-378y-113z',
        79:'451x-392y-41z',
        80:'469x-353y-119z',
        81:'471x-368y-47z',
        82:'486x-327y-125z',
        83:'489x-342y-53z',
        84:'48x-239y-547z',
        85:'501x-301y-131z',
        86:'506x-316y-59z',
        87:'515x-273y-137z',
        88:'521x-289y-65z',
        89:'528x-245y-143z',
        90:'52x-597y-24z',
        91:'535x-261y-71z',
        92:'538x-217y-149z',
        93:'547x-232y-77z',
        94:'548x-188y-154z',
        95:'555x-159y-160z',
        96:'558x-203y-83z',
        97:'55x-304y-514z',
        98:'561x-129y-166z',
        99:'566x-99y-172z',
        100:'567x-173y-89z',
        101:'568x-69y-177z',
        102:'569x-39y-183z',
        103:'569x-9y-189z',
        104:'574x-143y-95z',
        105:'579x-155y-1z',
        106:'580x-112y-101z',
        107:'584x-82y-107z',
        108:'586x-124y-7z',
        109:'587x-20y-118z',
        110:'587x-51y-112z',
        111:'592x-93y-13z',
        112:'596x-62y-19z',
        113:'598x-31y-25z',
        114:'59x-231y-550z',
        115:'62x-380y-459z',
        116:'70x-295y-517z',
        117:'7x-324y-504z',
        118:'81x-259y-644z',
        119:'81x-372y-463z',
        120:'83x-593y-30z',
        121:'84x-286y-520z',
        122:'97x-277y-523z',
        123:'99x-362y-467z'}
       
# -------------------------------------------------------------------------------------------------
# 700
# -------------------------------------------------------------------------------------------------
shot2two7004xi = {
        1:'0x0y-699z',
        2:'113x-323y-610z',
        3:'116x-423y-545z',
        4:'127x-311y-613z',
        5:'12x-304y-630z',
        6:'133x-685y-42z',
        7:'136x-411y-549z',
        8:'141x-298y-617z',
        9:'153x-285y-620z',
        10:'155x-398y-553z',
        11:'165x-271y-623z',
        12:'169x-677y-49z',
        13:'174x-384y-558z',
        14:'175x-257y-626z',
        15:'185x-242y-629z',
        16:'191x-370y-562z',
        17:'193x-227y-632z',
        18:'194x-5y-672z',
        19:'200x-16y-670z',
        20:'200x-212y-635z',
        21:'204x-667y-56z',
        22:'205x-27y-668z',
        23:'207x-197y-638z',
        24:'207x-354y-566z',
        25:'210x-39y-666z',
        26:'212x-182y-641z',
        27:'214x-52y-664z',
        28:'216x-167y-644z',
        29:'218x-65y-661z',
        30:'219x-151y-647z',
        31:'220x-78y-659z',
        32:'221x-136y-649z',
        33:'222x-121y-652z',
        34:'222x-338y-570z',
        35:'222x-92y-657z',
        36:'223x-107y-654z',
        37:'236x-322y-574z',
        38:'238x-654y-63z',
        39:'249x-304y-578z',
        40:'24x-699y-21z',
        41:'261x-287y-582z',
        42:'26x-459y-527z',
        43:'271x-268y-586z',
        44:'272x-640y-70z',
        45:'27x-296y-633z',
        46:'281x-250y-590z',
        47:'289x-231y-593z',
        48:'28x-371y-592z',
        49:'296x-13y-633z',
        50:'296x-212y-597z',
        51:'2x-465y-522z',
        52:'301x-193y-601z',
        53:'301x-29y-630z',
        54:'305x-46y-627z',
        55:'305x-625y-77z',
        56:'306x-174y-604z',
        57:'309x-155y-608z',
        58:'309x-63y-624z',
        59:'311x-136y-611z',
        60:'311x-81y-621z',
        61:'312x-118y-614z',
        62:'312x-99y-618z',
        63:'328x-618y0z',
        64:'337x-607y-84z',
        65:'360x-599y-6z',
        66:'368x-588y-91z',
        67:'391x-580y-13z',
        68:'397x-567y-98z',
        69:'421x-558y-20z',
        70:'426x-545y-105z',
        71:'42x-288y-636z',
        72:'449x-535y-27z',
        73:'453x-521y-112z',
        74:'46x-363y-596z',
        75:'476x-511y-34z',
        76:'479x-495y-119z',
        77:'502x-485y-41z',
        78:'503x-469y-126z',
        79:'50x-452y-531z',
        80:'526x-441y-132z',
        81:'527x-458y-48z',
        82:'548x-412y-139z',
        83:'549x-429y-55z',
        84:'567x-382y-146z',
        85:'56x-279y-639z',
        86:'571x-399y-62z',
        87:'585x-351y-153z',
        88:'590x-369y-69z',
        89:'601x-319y-160z',
        90:'608x-337y-76z',
        91:'616x-286y-167z',
        92:'61x-696y-28z',
        93:'624x-304y-83z',
        94:'628x-253y-173z',
        95:'638x-271y-90z',
        96:'639x-219y-180z',
        97:'648x-185y-187z',
        98:'64x-354y-599z',
        99:'651x-237y-97z',
        100:'655x-150y-194z',
        101:'660x-116y-200z',
        102:'661x-202y-104z',
        103:'663x-81y-207z',
        104:'664x-11y-220z',
        105:'664x-46y-214z',
        106:'670x-167y-111z',
        107:'676x-181y-1z',
        108:'677x-131y-117z',
        109:'682x-95y-124z',
        110:'684x-145y-8z',
        111:'684x-59y-131z',
        112:'685x-23y-138z',
        113:'691x-109y-15z',
        114:'695x-73y-22z',
        115:'698x-36y-29z',
        116:'69x-270y-642z',
        117:'72x-443y-536z',
        118:'81x-345y-603z',
        119:'8x-378y-588z',
        120:'93x-297y-736z',
        121:'94x-434y-540z',
        122:'97x-692y-35z',
        123:'98x-334y-606z'}
            
# -------------------------------------------------------------------------------------------------
# 800
# -------------------------------------------------------------------------------------------------
shot2two8004xi = {
        1:'104x-334y-829z',
        2:'108x-496y-618z',
        3:'10x-432y-672z',
        4:'111x-791y-40z',
        5:'112x-382y-693z',
        6:'129x-369y-697z',
        7:'132x-483y-623z',
        8:'146x-355y-701z',
        9:'14x-347y-720z',
        10:'152x-783y-48z',
        11:'155x-470y-628z',
        12:'161x-341y-705z',
        13:'175x-326y-709z',
        14:'177x-455y-632z',
        15:'188x-310y-712z',
        16:'193x-774y-56z',
        17:'198x-439y-637z',
        18:'200x-294y-716z',
        19:'211x-277y-719z',
        20:'218x-423y-642z',
        21:'221x-260y-723z',
        22:'222x-6y-768z',
        23:'229x-18y-766z',
        24:'229x-243y-726z',
        25:'233x-762y-64z',
        26:'235x-31y-763z',
        27:'236x-225y-730z',
        28:'237x-405y-647z',
        29:'240x-45y-761z',
        30:'242x-208y-733z',
        31:'245x-59y-759z',
        32:'247x-190y-736z',
        33:'249x-74y-756z',
        34:'251x-173y-739z',
        35:'252x-90y-753z',
        36:'253x-156y-742z',
        37:'254x-106y-751z',
        38:'254x-122y-748z',
        39:'254x-139y-745z',
        40:'254x-387y-652z',
        41:'270x-368y-656z',
        42:'272x-748y-72z',
        43:'285x-348y-661z',
        44:'28x-799y-24z',
        45:'298x-328y-665z',
        46:'30x-525y-602z',
        47:'310x-307y-670z',
        48:'311x-732y-80z',
        49:'31x-339y-723z',
        50:'321x-286y-674z',
        51:'32x-424y-677z',
        52:'330x-264y-678z',
        53:'338x-15y-724z',
        54:'338x-243y-682z',
        55:'344x-34y-721z',
        56:'345x-221y-686z',
        57:'348x-714y-88z',
        58:'349x-53y-717z',
        59:'350x-199y-691z',
        60:'353x-177y-695z',
        61:'353x-72y-713z',
        62:'356x-156y-698z',
        63:'356x-93y-710z',
        64:'357x-113y-706z',
        65:'357x-134y-702z',
        66:'375x-706y0z',
        67:'385x-694y-96z',
        68:'3x-532y-597z',
        69:'412x-685y-7z',
        70:'420x-672y-104z',
        71:'447x-663y-15z',
        72:'454x-648y-112z',
        73:'481x-638y-23z',
        74:'487x-622y-120z',
        75:'48x-329y-727z',
        76:'513x-612y-31z',
        77:'518x-595y-128z',
        78:'53x-415y-681z',
        79:'544x-584y-39z',
        80:'547x-566y-136z',
        81:'574x-554y-47z',
        82:'575x-536y-144z',
        83:'57x-517y-607z',
        84:'601x-504y-151z',
        85:'602x-523y-55z',
        86:'626x-471y-159z',
        87:'628x-490y-63z',
        88:'648x-437y-167z',
        89:'64x-319y-730z',
        90:'652x-457y-71z',
        91:'669x-401y-175z',
        92:'675x-421y-79z',
        93:'687x-365y-183z',
        94:'695x-385y-87z',
        95:'704x-327y-190z',
        96:'70x-796y-32z',
        97:'713x-348y-95z',
        98:'718x-289y-198z',
        99:'730x-251y-206z',
        100:'730x-309y-103z',
        101:'73x-405y-685z',
        102:'741x-212y-214z',
        103:'744x-270y-111z',
        104:'749x-172y-221z',
        105:'754x-132y-229z',
        106:'756x-231y-119z',
        107:'758x-92y-237z',
        108:'759x-12y-252z',
        109:'759x-52y-244z',
        110:'766x-191y-126z',
        111:'772x-207y-2z',
        112:'774x-150y-134z',
        113:'779x-109y-142z',
        114:'782x-166y-10z',
        115:'782x-68y-150z',
        116:'783x-27y-158z',
        117:'789x-125y-18z',
        118:'795x-83y-26z',
        119:'798x-41y-34z',
        120:'79x-308y-733z',
        121:'83x-507y-612z',
        122:'93x-394y-689z'}
            
# -------------------------------------------------------------------------------------------------
# 900
# -------------------------------------------------------------------------------------------------
shot2two9004xi = {
        1:'105x-443y-775z',
        2:'116x-371y-921z',
        3:'11x-486y-757z',
        4:'122x-558y-695z',
        5:'125x-890y-45z',
        6:'126x-430y-780z',
        7:'145x-415y-784z',
        8:'149x-544y-700z',
        9:'164x-400y-789z',
        10:'16x-390y-810z',
        11:'171x-881y-54z',
        12:'175x-529y-706z',
        13:'181x-383y-793z',
        14:'197x-366y-797z',
        15:'200x-512y-712z',
        16:'212x-349y-801z',
        17:'217x-870y-63z',
        18:'223x-494y-717z',
        19:'226x-330y-805z',
        20:'238x-312y-809z',
        21:'246x-476y-722z',
        22:'248x-293y-813z',
        23:'249x-7y-864z',
        24:'257x-21y-862z',
        25:'258x-273y-817z',
        26:'262x-857y-72z',
        27:'264x-35y-859z',
        28:'266x-254y-821z',
        29:'267x-456y-728z',
        30:'271x-51y-856z',
        31:'273x-234y-824z',
        32:'276x-67y-853z',
        33:'278x-214y-828z',
        34:'280x-83y-851z',
        35:'282x-195y-831z',
        36:'283x-101y-848z',
        37:'285x-119y-844z',
        38:'285x-175y-835z',
        39:'286x-137y-841z',
        40:'286x-156y-838z',
        41:'286x-435y-733z',
        42:'304x-414y-738z',
        43:'306x-842y-81z',
        44:'31x-899y-27z',
        45:'321x-391y-743z',
        46:'336x-369y-748z',
        47:'349x-345y-753z',
        48:'34x-591y-677z',
        49:'350x-824y-90z',
        50:'35x-381y-814z',
        51:'361x-321y-758z',
        52:'36x-477y-761z',
        53:'372x-297y-763z',
        54:'380x-273y-768z',
        55:'381x-17y-815z',
        56:'387x-38y-811z',
        57:'388x-248y-772z',
        58:'392x-803y-99z',
        59:'393x-224y-777z',
        60:'393x-59y-807z',
        61:'397x-82y-803z',
        62:'398x-200y-781z',
        63:'3x-598y-671z',
        64:'400x-104y-799z',
        65:'400x-175y-786z',
        66:'402x-128y-794z',
        67:'402x-151y-790z',
        68:'422x-794y0z',
        69:'433x-781y-108z',
        70:'463x-771y-8z',
        71:'473x-756y-117z',
        72:'503x-745y-17z',
        73:'511x-729y-126z',
        74:'541x-718y-26z',
        75:'548x-700y-135z',
        76:'54x-370y-818z',
        77:'578x-688y-35z',
        78:'583x-670y-144z',
        79:'60x-467y-766z',
        80:'613x-657y-44z',
        81:'616x-637y-153z',
        82:'646x-624y-53z',
        83:'647x-603y-162z',
        84:'64x-581y-683z',
        85:'677x-567y-170z',
        86:'677x-589y-62z',
        87:'704x-530y-179z',
        88:'706x-552y-71z',
        89:'729x-491y-188z',
        90:'72x-359y-821z',
        91:'734x-514y-80z',
        92:'752x-451y-197z',
        93:'759x-474y-89z',
        94:'773x-410y-206z',
        95:'782x-433y-98z',
        96:'78x-895y-36z',
        97:'792x-368y-214z',
        98:'803x-391y-107z',
        99:'808x-326y-223z',
        100:'821x-348y-116z',
        101:'822x-282y-232z',
        102:'833x-238y-240z',
        103:'837x-304y-125z',
        104:'83x-456y-771z',
        105:'842x-194y-249z',
        106:'849x-149y-258z',
        107:'851x-260y-133z',
        108:'853x-104y-266z',
        109:'853x-14y-284z',
        110:'854x-59y-275z',
        111:'862x-214y-142z',
        112:'869x-232y-2z',
        113:'870x-169y-151z',
        114:'876x-123y-160z',
        115:'880x-187y-11z',
        116:'880x-77y-169z',
        117:'881x-30y-178z',
        118:'888x-140y-20z',
        119:'894x-94y-29z',
        120:'897x-47y-38z',
        121:'89x-347y-825z',
        122:'93x-570y-689z'}                         

# -------------------------------------------------------------------------------------------------
# 1000
# -------------------------------------------------------------------------------------------------
shot2two10004xi = {
        1:'104x-634y-766z',
        2:'116x-493y-862z',
        3:'127x-408y-1013z',
        4:'12x-540y-841z',
        5:'135x-620y-772z',
        6:'139x-988y-51z',
        7:'140x-477y-867z',
        8:'162x-461y-872z',
        9:'165x-604y-778z',
        10:'182x-444y-876z',
        11:'18x-434y-900z',
        12:'190x-979y-61z',
        13:'194x-587y-785z',
        14:'201x-426y-881z',
        15:'219x-407y-886z',
        16:'222x-569y-791z',
        17:'236x-387y-890z',
        18:'241x-967y-70z',
        19:'248x-549y-797z',
        20:'251x-367y-895z',
        21:'264x-346y-899z',
        22:'273x-529y-803z',
        23:'276x-325y-904z',
        24:'277x-8y-960z',
        25:'286x-23y-957z',
        26:'286x-304y-908z',
        27:'291x-953y-80z',
        28:'294x-39y-954z',
        29:'295x-282y-912z',
        30:'296x-507y-809z',
        31:'301x-56y-951z',
        32:'303x-260y-916z',
        33:'306x-74y-948z',
        34:'309x-238y-920z',
        35:'311x-93y-945z',
        36:'313x-216y-924z',
        37:'315x-112y-942z',
        38:'316x-195y-928z',
        39:'317x-132y-938z',
        40:'318x-153y-935z',
        41:'318x-174y-931z',
        42:'318x-484y-815z',
        43:'338x-460y-820z',
        44:'341x-935y-90z',
        45:'356x-435y-826z',
        46:'35x-998y-31z',
        47:'373x-410y-832z',
        48:'388x-384y-837z',
        49:'389x-915y-100z',
        50:'38x-656y-753z',
        51:'39x-423y-904z',
        52:'3x-665y-746z',
        53:'401x-357y-842z',
        54:'40x-530y-846z',
        55:'413x-330y-848z',
        56:'423x-19y-905z',
        57:'423x-303y-853z',
        58:'431x-276y-858z',
        59:'431x-42y-901z',
        60:'436x-893y-110z',
        61:'437x-249y-863z',
        62:'437x-66y-896z',
        63:'441x-91y-892z',
        64:'442x-222y-868z',
        65:'445x-116y-887z',
        66:'445x-195y-873z',
        67:'446x-142y-883z',
        68:'446x-168y-878z',
        69:'469x-882y0z',
        70:'481x-867y-120z',
        71:'515x-857y-9z',
        72:'525x-840y-130z',
        73:'559x-828y-19z',
        74:'568x-810y-140z',
        75:'601x-798y-29z',
        76:'609x-778y-150z',
        77:'60x-412y-909z',
        78:'642x-765y-39z',
        79:'647x-744y-160z',
        80:'66x-519y-851z',
        81:'681x-730y-49z',
        82:'684x-708y-170z',
        83:'718x-693y-59z',
        84:'719x-670y-180z',
        85:'71x-646y-759z',
        86:'752x-630y-189z',
        87:'752x-654y-69z',
        88:'782x-589y-199z',
        89:'785x-613y-79z',
        90:'80x-399y-913z',
        91:'810x-546y-209z',
        92:'815x-571y-89z',
        93:'836x-502y-219z',
        94:'843x-527y-99z',
        95:'859x-456y-228z',
        96:'869x-481y-109z',
        97:'87x-995y-41z',
        98:'880x-409y-238z',
        99:'892x-435y-119z',
        100:'898x-362y-248z',
        101:'912x-387y-129z',
        102:'913x-314y-258z',
        103:'926x-265y-267z',
        104:'92x-506y-856z',
        105:'930x-338y-138z',
        106:'936x-215y-277z',
        107:'943x-165y-286z',
        108:'945x-289y-148z',
        109:'947x-115y-296z',
        110:'948x-16y-315z',
        111:'949x-65y-306z',
        112:'957x-238y-158z',
        113:'965x-258y-2z',
        114:'967x-188y-168z',
        115:'974x-136y-178z',
        116:'978x-207y-12z',
        117:'978x-85y-188z',
        118:'979x-34y-198z',
        119:'987x-156y-22z',
        120:'98x-385y-917z',
        121:'993x-104y-32z',
        122:'997x-52y-42z'}                       
 
# -------------------------------------------------------------------------------------------------
# 1100
# -------------------------------------------------------------------------------------------------
shot2two11004xi = {
        1:'1004x-426y-141z',
        2:'1005x-345y-283z',
        3:'1018x-291y-294z',
        4:'101x-557y-942z',
        5:'1023x-372y-152z',
        6:'1029x-237y-305z',
        7:'1037x-182y-315z',
        8:'1040x-318y-163z',
        9:'1042x-127y-326z',
        10:'1043x-17y-347z',
        11:'1044x-72y-336z',
        12:'1053x-262y-174z',
        13:'1062x-284y-3z',
        14:'1064x-206y-185z',
        15:'1071x-150y-196z',
        16:'1075x-228y-14z',
        17:'1076x-94y-207z',
        18:'1077x-37y-217z',
        19:'1086x-172y-25z',
        20:'108x-424y-1008z',
        21:'1093x-114y-36z',
        22:'1097x-57y-47z',
        23:'114x-697y-842z',
        24:'128x-542y-948z',
        25:'139x-445y-1105z',
        26:'13x-594y-925z',
        27:'149x-682y-849z',
        28:'153x-1087y-56z',
        29:'154x-525y-953z',
        30:'178x-507y-959z',
        31:'182x-665y-856z',
        32:'19x-477y-990z',
        33:'200x-489y-964z',
        34:'210x-1077y-67z',
        35:'214x-646y-863z',
        36:'222x-469y-969z',
        37:'241x-448y-974z',
        38:'244x-626y-870z',
        39:'259x-426y-980z',
        40:'266x-1064y-78z',
        41:'273x-604y-877z',
        42:'276x-404y-984z',
        43:'291x-381y-989z',
        44:'300x-582y-883z',
        45:'304x-358y-994z',
        46:'305x-8y-1056z',
        47:'314x-25y-1053z',
        48:'315x-334y-999z',
        49:'321x-1048y-89z',
        50:'323x-43y-1050z',
        51:'325x-310y-1003z',
        52:'326x-557y-890z',
        53:'331x-62y-1047z',
        54:'333x-286y-1008z',
        55:'337x-82y-1043z',
        56:'340x-262y-1012z',
        57:'342x-102y-1040z',
        58:'345x-238y-1016z',
        59:'346x-123y-1036z',
        60:'348x-214y-1020z',
        61:'349x-145y-1032z',
        62:'350x-168y-1028z',
        63:'350x-191y-1024z',
        64:'350x-532y-896z',
        65:'372x-506y-902z',
        66:'375x-1029y-100z',
        67:'38x-1098y-34z',
        68:'392x-479y-909z',
        69:'410x-451y-915z',
        70:'427x-422y-921z',
        71:'428x-1007y-110z',
        72:'42x-722y-828z',
        73:'43x-466y-995z',
        74:'442x-393y-927z',
        75:'44x-583y-931z',
        76:'454x-363y-933z',
        77:'465x-334y-938z',
        78:'466x-21y-996z',
        79:'474x-304y-944z',
        80:'474x-47y-991z',
        81:'479x-982y-121z',
        82:'480x-73y-986z',
        83:'481x-274y-950z',
        84:'485x-100y-981z',
        85:'486x-244y-955z',
        86:'489x-128y-976z',
        87:'490x-214y-961z',
        88:'491x-156y-971z',
        89:'491x-185y-966z',
        90:'4x-731y-821z',
        91:'516x-971y0z',
        92:'529x-954y-132z',
        93:'566x-942y-10z',
        94:'578x-924y-143z',
        95:'614x-911y-21z',
        96:'625x-891y-154z',
        97:'661x-878y-32z',
        98:'669x-856y-165z',
        99:'66x-453y-999z',
        100:'706x-841y-43z',
        101:'712x-819y-176z',
        102:'73x-571y-936z',
        103:'749x-803y-54z',
        104:'753x-779y-187z',
        105:'789x-762y-65z',
        106:'78x-710y-835z',
        107:'791x-737y-198z',
        108:'827x-693y-208z',
        109:'828x-719y-76z',
        110:'861x-648y-219z',
        111:'864x-675y-87z',
        112:'88x-439y-1004z',
        113:'892x-600y-230z',
        114:'897x-628y-98z',
        115:'920x-552y-241z',
        116:'928x-580y-109z',
        117:'945x-502y-251z',
        118:'956x-530y-120z',
        119:'968x-450y-262z',
        120:'96x-1094y-45z',
        121:'981x-478y-131z',
        122:'988x-398y-273z'}
        
# -------------------------------------------------------------------------------------------------
# 1200
# -------------------------------------------------------------------------------------------------
shot2two12004xi = {
        1:'1003x-602y-263z',
        2:'1012x-632y-119z',
        3:'1031x-547y-274z',
        4:'1043x-578y-130z',
        5:'1056x-491y-286z',
        6:'105x-1194y-49z',
        7:'1070x-522y-142z',
        8:'1077x-434y-298z',
        9:'1095x-464y-154z',
        10:'1096x-376y-309z',
        11:'110x-608y-1028z',
        12:'1111x-318y-321z',
        13:'1116x-406y-166z',
        14:'1123x-258y-332z',
        15:'1132x-199y-344z',
        16:'1134x-346y-178z',
        17:'1137x-139y-355z',
        18:'1138x-19y-378z',
        19:'1139x-79y-367z',
        20:'1149x-286y-190z',
        21:'1159x-310y-3z',
        22:'1161x-225y-202z',
        23:'1169x-164y-214z',
        24:'1173x-249y-15z',
        25:'1174x-102y-225z',
        26:'1175x-41y-237z',
        27:'1184x-187y-27z',
        28:'118x-463y-1100z',
        29:'1192x-125y-39z',
        30:'1197x-62y-51z',
        31:'125x-761y-919z',
        32:'140x-591y-1034z',
        33:'151x-482y-1197z',
        34:'15x-648y-1009z',
        35:'162x-744y-927z',
        36:'167x-1186y-61z',
        37:'168x-573y-1040z',
        38:'194x-554y-1046z',
        39:'198x-725y-934z',
        40:'219x-533y-1052z',
        41:'21x-521y-1080z',
        42:'229x-1175y-73z',
        43:'233x-705y-942z',
        44:'242x-511y-1057z',
        45:'263x-489y-1063z',
        46:'266x-683y-949z',
        47:'283x-465y-1069z',
        48:'290x-1161y-85z',
        49:'298x-659y-956z',
        50:'301x-441y-1074z',
        51:'317x-416y-1079z',
        52:'328x-634y-963z',
        53:'331x-390y-1084z',
        54:'333x-9y-1152z',
        55:'343x-28y-1149z',
        56:'344x-364y-1090z',
        57:'350x-1143y-97z',
        58:'353x-47y-1145z',
        59:'355x-338y-1095z',
        60:'356x-608y-971z',
        61:'361x-68y-1142z',
        62:'364x-312y-1099z',
        63:'368x-89y-1138z',
        64:'371x-286y-1104z',
        65:'374x-111y-1134z',
        66:'376x-260y-1109z',
        67:'378x-135y-1130z',
        68:'380x-234y-1113z',
        69:'381x-159y-1126z',
        70:'382x-183y-1122z',
        71:'382x-208y-1118z',
        72:'382x-580y-978z',
        73:'406x-552y-984z',
        74:'409x-1122y-109z',
        75:'428x-522y-991z',
        76:'42x-1198y-37z',
        77:'448x-492y-998z',
        78:'45x-788y-903z',
        79:'466x-460y-1005z',
        80:'467x-1098y-121z',
        81:'47x-508y-1085z',
        82:'482x-429y-1011z',
        83:'48x-637y-1015z',
        84:'496x-397y-1017z',
        85:'4x-798y-895z',
        86:'507x-364y-1024z',
        87:'508x-23y-1086z',
        88:'517x-331y-1030z',
        89:'517x-51y-1081z',
        90:'523x-1071y-132z',
        91:'524x-79y-1076z',
        92:'525x-299y-1036z',
        93:'530x-109y-1070z',
        94:'530x-266y-1042z',
        95:'534x-139y-1065z',
        96:'534x-234y-1048z',
        97:'536x-170y-1059z',
        98:'536x-202y-1054z',
        99:'563x-1059y0z',
        100:'578x-1041y-144z',
        101:'618x-1028y-11z',
        102:'630x-1008y-156z',
        103:'670x-994y-23z',
        104:'681x-972y-168z',
        105:'721x-957y-35z',
        106:'72x-494y-1090z',
        107:'730x-934y-180z',
        108:'770x-918y-47z',
        109:'777x-893y-192z',
        110:'80x-623y-1022z',
        111:'817x-876y-59z',
        112:'821x-850y-204z',
        113:'861x-832y-71z',
        114:'863x-804y-216z',
        115:'86x-775y-911z',
        116:'902x-756y-227z',
        117:'903x-785y-83z',
        118:'939x-707y-239z',
        119:'942x-736y-95z',
        120:'96x-479y-1095z',
        121:'973x-655y-251z',
        122:'979x-685y-107z'}
       
# -------------------------------------------------------------------------------------------------
# 1300
# -------------------------------------------------------------------------------------------------
shot2two13004xi = {
        1:'1017x-766y-259z',
        2:'1021x-797y-103z',
        3:'104x-519y-1187z',
        4:'1054x-710y-272z',
        5:'1060x-742y-116z',
        6:'1087x-652y-285z',
        7:'1097x-685y-128z',
        8:'1117x-593y-297z',
        9:'1130x-626y-141z',
        10:'113x-1293y-53z',
        11:'1144x-532y-310z',
        12:'1160x-565y-154z',
        13:'1167x-471y-322z',
        14:'1186x-503y-167z',
        15:'1187x-408y-335z',
        16:'1204x-344y-348z',
        17:'1209x-440y-180z',
        18:'120x-659y-1114z',
        19:'1217x-280y-360z',
        20:'1226x-215y-373z',
        21:'1229x-375y-193z',
        22:'1232x-150y-385z',
        23:'1233x-20y-410z',
        24:'1234x-85y-397z',
        25:'1245x-310y-206z',
        26:'1255x-336y-3z',
        27:'1257x-244y-219z',
        28:'1266x-178y-231z',
        29:'1271x-111y-244z',
        30:'1271x-270y-16z',
        31:'1273x-44y-257z',
        32:'1283x-203y-29z',
        33:'128x-501y-1192z',
        34:'1292x-135y-42z',
        35:'1297x-67y-55z',
        36:'135x-824y-995z',
        37:'151x-641y-1120z',
        38:'162x-519y-1289z',
        39:'16x-702y-1093z',
        40:'176x-806y-1004z',
        41:'181x-1285y-66z',
        42:'182x-621y-1127z',
        43:'210x-600y-1133z',
        44:'215x-786y-1012z',
        45:'237x-577y-1139z',
        46:'23x-564y-1170z',
        47:'248x-1273y-79z',
        48:'253x-764y-1020z',
        49:'262x-554y-1146z',
        50:'285x-529y-1152z',
        51:'289x-740y-1028z',
        52:'307x-504y-1158z',
        53:'314x-1258y-92z',
        54:'323x-714y-1036z',
        55:'326x-477y-1164z',
        56:'343x-450y-1169z',
        57:'355x-687y-1044z',
        58:'359x-423y-1175z',
        59:'360x-10y-1248z',
        60:'372x-30y-1245z',
        61:'373x-395y-1180z',
        62:'379x-1238y-105z',
        63:'382x-51y-1241z',
        64:'384x-367y-1186z',
        65:'385x-659y-1051z',
        66:'391x-73y-1237z',
        67:'394x-338y-1191z',
        68:'399x-96y-1233z',
        69:'402x-310y-1196z',
        70:'405x-121y-1229z',
        71:'407x-282y-1201z',
        72:'409x-146y-1224z',
        73:'411x-253y-1206z',
        74:'412x-172y-1220z',
        75:'413x-629y-1059z',
        76:'414x-199y-1216z',
        77:'414x-226y-1211z',
        78:'439x-598y-1067z',
        79:'443x-1216y-118z',
        80:'463x-566y-1074z',
        81:'46x-1298y-40z',
        82:'485x-533y-1081z',
        83:'49x-853y-979z',
        84:'4x-864y-970z',
        85:'505x-1190y-131z',
        86:'505x-499y-1088z',
        87:'51x-550y-1176z',
        88:'522x-464y-1095z',
        89:'52x-690y-1100z',
        90:'537x-430y-1102z',
        91:'550x-25y-1177z',
        92:'550x-394y-1109z',
        93:'560x-359y-1116z',
        94:'560x-55y-1171z',
        95:'566x-1160y-144z',
        96:'568x-86y-1166z',
        97:'569x-324y-1122z',
        98:'574x-118y-1160z',
        99:'575x-288y-1129z',
        100:'578x-151y-1154z',
        101:'579x-253y-1135z',
        102:'580x-185y-1148z',
        103:'580x-219y-1142z',
        104:'610x-1147y0z',
        105:'626x-1128y-156z',
        106:'669x-1114y-12z',
        107:'683x-1092y-169z',
        108:'726x-1077y-25z',
        109:'738x-1053y-182z',
        110:'782x-1037y-38z',
        111:'78x-535y-1181z',
        112:'791x-1012y-195z',
        113:'834x-995y-51z',
        114:'842x-967y-208z',
        115:'87x-675y-1107z',
        116:'885x-949y-64z',
        117:'890x-921y-221z',
        118:'933x-901y-77z',
        119:'935x-871y-234z',
        120:'93x-840y-987z',
        121:'978x-819y-246z',
        122:'978x-850y-90z'}
# -------------------------------------------------------------------------------------------------
# 1400
# -------------------------------------------------------------------------------------------------
shot2two14004xi = {
        1:'1005x-970y-83z',
        2:'1007x-938y-252z',
        3:'100x-904y-1063z',
        4:'1053x-882y-265z',
        5:'1054x-916y-97z',
        6:'1096x-824y-279z',
        7:'1099x-859y-111z',
        8:'112x-559y-1278z',
        9:'1135x-764y-293z',
        10:'1142x-799y-124z',
        11:'1171x-702y-306z',
        12:'1181x-738y-138z',
        13:'1203x-639y-320z',
        14:'1217x-674y-152z',
        15:'122x-1393y-57z',
        16:'1232x-573y-334z',
        17:'1249x-609y-166z',
        18:'1257x-507y-347z',
        19:'1277x-542y-180z',
        20:'1279x-439y-361z',
        21:'1296x-371y-374z',
        22:'129x-709y-1199z',
        23:'1302x-474y-194z',
        24:'1310x-301y-388z',
        25:'1320x-232y-401z',
        26:'1323x-404y-208z',
        27:'1327x-162y-415z',
        28:'1328x-22y-441z',
        29:'1329x-92y-428z',
        30:'1341x-334y-222z',
        31:'1352x-362y-3z',
        32:'1354x-263y-235z',
        33:'1364x-191y-249z',
        34:'1369x-119y-263z',
        35:'1369x-291y-17z',
        36:'1371x-47y-277z',
        37:'1382x-218y-31z',
        38:'138x-540y-1284z',
        39:'1391x-146y-45z',
        40:'1396x-73y-59z',
        41:'145x-887y-1072z',
        42:'163x-690y-1206z',
        43:'174x-557y-1381z',
        44:'17x-756y-1177z',
        45:'189x-868y-1081z',
        46:'195x-1384y-71z',
        47:'196x-669y-1213z',
        48:'226x-646y-1220z',
        49:'232x-846y-1090z',
        50:'255x-622y-1227z',
        51:'25x-608y-1260z',
        52:'267x-1371y-85z',
        53:'272x-823y-1099z',
        54:'282x-597y-1234z',
        55:'307x-570y-1240z',
        56:'311x-797y-1107z',
        57:'330x-543y-1247z',
        58:'338x-1354y-99z',
        59:'348x-769y-1116z',
        60:'351x-514y-1253z',
        61:'370x-485y-1259z',
        62:'382x-740y-1124z',
        63:'387x-455y-1265z',
        64:'388x-11y-1344z',
        65:'400x-32y-1340z',
        66:'401x-425y-1271z',
        67:'408x-1334y-113z',
        68:'411x-55y-1336z',
        69:'414x-395y-1277z',
        70:'415x-709y-1132z',
        71:'421x-79y-1332z',
        72:'424x-364y-1283z',
        73:'429x-104y-1328z',
        74:'433x-334y-1288z',
        75:'436x-130y-1323z',
        76:'439x-303y-1294z',
        77:'441x-157y-1319z',
        78:'443x-273y-1299z',
        79:'444x-185y-1314z',
        80:'445x-243y-1304z',
        81:'445x-677y-1141z',
        82:'446x-214y-1309z',
        83:'473x-644y-1149z',
        84:'477x-1309y-127z',
        85:'499x-609y-1157z',
        86:'49x-1398y-43z',
        87:'522x-574y-1164z',
        88:'53x-919y-1054z',
        89:'543x-537y-1172z',
        90:'544x-1281y-141z',
        91:'55x-593y-1266z',
        92:'562x-500y-1180z',
        93:'56x-743y-1185z',
        94:'578x-463y-1187z',
        95:'592x-425y-1194z',
        96:'593x-27y-1267z',
        97:'5x-931y-1045z',
        98:'603x-387y-1202z',
        99:'603x-59y-1261z',
        100:'610x-1250y-155z',
        101:'611x-93y-1255z',
        102:'612x-349y-1209z',
        103:'618x-127y-1249z',
        104:'619x-311y-1216z',
        105:'623x-163y-1243z',
        106:'623x-273y-1223z',
        107:'625x-199y-1236z',
        108:'625x-236y-1229z',
        109:'657x-1236y0z',
        110:'674x-1215y-169z',
        111:'721x-1199y-13z',
        112:'736x-1176y-182z',
        113:'782x-1160y-27z',
        114:'795x-1135y-196z',
        115:'842x-1117y-41z',
        116:'852x-1090y-210z',
        117:'85x-577y-1272z',
        118:'899x-1071y-55z',
        119:'907x-1042y-224z',
        120:'93x-727y-1192z',
        121:'953x-1022y-69z',
        122:'958x-991y-238z'}
# -------------------------------------------------------------------------------------------------
# 1500
# -------------------------------------------------------------------------------------------------
shot2two15004xi = {
        1:'100x-779y-1277z',
        2:'1021x-1095y-74z',
        3:'1027x-1062y-255z',
        4:'1077x-1040y-89z',
        5:'1079x-1005y-270z',
        6:'107x-969y-1139z',
        7:'1128x-946y-284z',
        8:'1129x-981y-103z',
        9:'1174x-883y-299z',
        10:'1178x-920y-118z',
        11:'120x-599y-1369z',
        12:'1216x-819y-314z',
        13:'1223x-856y-133z',
        14:'1254x-753y-328z',
        15:'1265x-790y-148z',
        16:'1289x-684y-343z',
        17:'1304x-722y-163z',
        18:'131x-1492y-61z',
        19:'1320x-614y-358z',
        20:'1338x-652y-178z',
        21:'1347x-543y-372z',
        22:'1369x-581y-193z',
        23:'1370x-471y-387z',
        24:'1389x-397y-401z',
        25:'138x-760y-1285z',
        26:'1395x-508y-208z',
        27:'1404x-323y-416z',
        28:'1415x-248y-430z',
        29:'1418x-433y-223z',
        30:'1421x-173y-444z',
        31:'1423x-24y-473z',
        32:'1424x-98y-459z',
        33:'1436x-358y-238z',
        34:'1448x-388y-4z',
        35:'1451x-282y-252z',
        36:'1461x-205y-267z',
        37:'1467x-128y-282z',
        38:'1467x-311y-19z',
        39:'1469x-51y-297z',
        40:'1481x-234y-34z',
        41:'148x-578y-1375z',
        42:'1490x-156y-49z',
        43:'1496x-78y-64z',
        44:'156x-951y-1149z',
        45:'175x-739y-1293z',
        46:'186x-594y-1473z',
        47:'18x-811y-1261z',
        48:'203x-930y-1158z',
        49:'209x-1483y-76z',
        50:'210x-716y-1300z',
        51:'243x-692y-1308z',
        52:'248x-907y-1168z',
        53:'274x-666y-1315z',
        54:'27x-651y-1350z',
        55:'286x-1469y-91z',
        56:'292x-881y-1177z',
        57:'302x-639y-1322z',
        58:'329x-611y-1329z',
        59:'333x-854y-1186z',
        60:'354x-581y-1336z',
        61:'362x-1451y-106z',
        62:'373x-824y-1195z',
        63:'376x-551y-1343z',
        64:'396x-520y-1349z',
        65:'410x-793y-1204z',
        66:'414x-488y-1356z',
        67:'416x-12y-1440z',
        68:'429x-35y-1436z',
        69:'430x-456y-1362z',
        70:'437x-1429y-121z',
        71:'441x-59y-1432z',
        72:'443x-423y-1368z',
        73:'445x-760y-1213z',
        74:'451x-85y-1427z',
        75:'455x-390y-1374z',
        76:'460x-111y-1423z',
        77:'463x-358y-1380z',
        78:'467x-139y-1418z',
        79:'470x-325y-1386z',
        80:'472x-168y-1413z',
        81:'475x-293y-1392z',
        82:'476x-198y-1408z',
        83:'477x-261y-1397z',
        84:'477x-726y-1222z',
        85:'478x-229y-1403z',
        86:'507x-690y-1231z',
        87:'511x-1403y-136z',
        88:'535x-653y-1239z',
        89:'53x-1498y-46z',
        90:'560x-615y-1248z',
        91:'57x-985y-1129z',
        92:'582x-576y-1256z',
        93:'583x-1373y-151z',
        94:'59x-635y-1357z',
        95:'5x-998y-1119z',
        96:'602x-536y-1264z',
        97:'60x-796y-1269z',
        98:'620x-496y-1272z',
        99:'634x-455y-1280z',
        100:'635x-29y-1358z',
        101:'646x-64y-1351z',
        102:'647x-414y-1288z',
        103:'654x-1339y-166z',
        104:'655x-99y-1345z',
        105:'656x-374y-1295z',
        106:'662x-136y-1338z',
        107:'663x-333y-1303z',
        108:'667x-174y-1331z',
        109:'668x-292y-1310z',
        110:'670x-213y-1324z',
        111:'670x-252y-1317z',
        112:'704x-1324y0z',
        113:'722x-1301y-181z',
        114:'772x-1285y-14z',
        115:'788x-1260y-196z',
        116:'838x-1243y-29z',
        117:'852x-1216y-210z',
        118:'902x-1197y-44z',
        119:'913x-1168y-225z',
        120:'91x-618y-1363z',
        121:'963x-1148y-59z',
        122:'971x-1116y-240z'}
# -------------------------------------------------------------------------------------------------
# 1600
# -------------------------------------------------------------------------------------------------
shot2two16004xi = {
        1:'1027x-1224y-62z',
        2:'1036x-1191y-256z',
        3:'107x-831y-1362z',
        4:'1089x-1168y-78z',
        5:'1095x-1133y-272z',
        6:'1148x-1109y-94z',
        7:'114x-1034y-1215z',
        8:'1151x-1072y-288z',
        9:'1203x-1009y-303z',
        10:'1204x-1047y-110z',
        11:'1252x-942y-319z',
        12:'1256x-981y-126z',
        13:'128x-639y-1461z',
        14:'1297x-874y-335z',
        15:'1305x-914y-142z',
        16:'1338x-803y-350z',
        17:'1350x-843y-158z',
        18:'1375x-730y-366z',
        19:'1391x-771y-174z',
        20:'1408x-655y-381z',
        21:'140x-1592y-65z',
        22:'1427x-696y-190z',
        23:'1437x-579y-397z',
        24:'1460x-619y-206z',
        25:'1461x-502y-412z',
        26:'147x-811y-1371z',
        27:'1482x-424y-428z',
        28:'1488x-541y-222z',
        29:'1498x-345y-443z',
        30:'1509x-265y-459z',
        31:'1513x-462y-238z',
        32:'1516x-185y-474z',
        33:'1518x-25y-504z',
        34:'1519x-105y-489z',
        35:'1532x-382y-253z',
        36:'1545x-414y-4z',
        37:'1548x-300y-269z',
        38:'1559x-219y-285z',
        39:'1564x-332y-20z',
        40:'1565x-136y-301z',
        41:'1567x-54y-316z',
        42:'1579x-250y-36z',
        43:'158x-617y-1467z',
        44:'1590x-167y-52z',
        45:'1596x-83y-68z',
        46:'166x-1014y-1225z',
        47:'187x-788y-1379z',
        48:'197x-631y-1565z',
        49:'20x-865y-1345z',
        50:'216x-992y-1236z',
        51:'223x-1582y-81z',
        52:'224x-764y-1387z',
        53:'259x-738y-1395z',
        54:'265x-967y-1246z',
        55:'28x-694y-1440z',
        56:'292x-711y-1403z',
        57:'305x-1567y-97z',
        58:'311x-940y-1256z',
        59:'323x-682y-1410z',
        60:'351x-652y-1418z',
        61:'355x-911y-1265z',
        62:'377x-620y-1425z',
        63:'386x-1548y-113z',
        64:'397x-879y-1275z',
        65:'401x-588y-1432z',
        66:'423x-554y-1439z',
        67:'437x-846y-1285z',
        68:'442x-521y-1446z',
        69:'444x-12y-1537z',
        70:'458x-37y-1532z',
        71:'459x-486y-1453z',
        72:'467x-1524y-129z',
        73:'470x-63y-1527z',
        74:'473x-451y-1460z',
        75:'474x-811y-1294z',
        76:'481x-90y-1523z',
        77:'485x-416y-1466z',
        78:'491x-119y-1518z',
        79:'494x-381y-1472z',
        80:'498x-149y-1512z',
        81:'502x-347y-1478z',
        82:'504x-180y-1507z',
        83:'506x-312y-1485z',
        84:'508x-212y-1502z',
        85:'509x-244y-1496z',
        86:'509x-278y-1490z',
        87:'509x-774y-1304z',
        88:'541x-736y-1313z',
        89:'545x-1496y-145z',
        90:'56x-1598y-49z',
        91:'570x-696y-1322z',
        92:'597x-656y-1331z',
        93:'61x-1050y-1205z',
        94:'621x-614y-1340z',
        95:'622x-1464y-161z',
        96:'63x-678y-1447z',
        97:'642x-572y-1348z',
        98:'64x-849y-1354z',
        99:'661x-529y-1357z',
        100:'677x-31y-1448z',
        101:'677x-486y-1365z',
        102:'689x-68y-1442z',
        103:'690x-442y-1373z',
        104:'697x-1428y-177z',
        105:'699x-106y-1435z',
        106:'6x-1064y-1194z',
        107:'700x-399y-1382z',
        108:'706x-145y-1427z',
        109:'707x-355y-1390z',
        110:'712x-186y-1420z',
        111:'712x-312y-1397z',
        112:'714x-227y-1413z',
        113:'715x-269y-1405z',
        114:'751x-1412y0z',
        115:'770x-1388y-193z',
        116:'824x-1371y-15z',
        117:'841x-1344y-209z',
        118:'894x-1326y-31z',
        119:'909x-1297y-224z',
        120:'962x-1277y-46z',
        121:'974x-1245y-240z',
        122:'97x-659y-1454z'}
# -------------------------------------------------------------------------------------------------
# 1700
# -------------------------------------------------------------------------------------------------
shot2two17004xi = {
        1:'1022x-1357y-49z',
        2:'1035x-1323y-255z',
        3:'103x-700y-1545z',
        4:'1091x-1301y-66z',
        5:'1101x-1265y-272z',
        6:'113x-883y-1448z',
        7:'1157x-1241y-83z',
        8:'1164x-1204y-289z',
        9:'121x-1098y-1291z',
        10:'1220x-1178y-100z',
        11:'1223x-1139y-306z',
        12:'1279x-1072y-322z',
        13:'1279x-1112y-117z',
        14:'1330x-1001y-339z',
        15:'1335x-1043y-134z',
        16:'136x-679y-1552z',
        17:'1378x-928y-356z',
        18:'1386x-971y-151z',
        19:'1422x-853y-372z',
        20:'1434x-896y-168z',
        21:'1461x-776y-389z',
        22:'1477x-819y-185z',
        23:'148x-1692y-69z',
        24:'1496x-696y-405z',
        25:'1517x-739y-202z',
        26:'1527x-616y-422z',
        27:'1551x-658y-219z',
        28:'1553x-533y-438z',
        29:'1574x-450y-455z',
        30:'157x-861y-1456z',
        31:'1581x-575y-236z',
        32:'1591x-366y-471z',
        33:'1603x-281y-487z',
        34:'1607x-491y-252z',
        35:'1611x-197y-504z',
        36:'1612x-27y-536z',
        37:'1614x-112y-520z',
        38:'1628x-406y-269z',
        39:'1642x-439y-4z',
        40:'1644x-319y-286z',
        41:'1656x-232y-303z',
        42:'1662x-353y-21z',
        43:'1663x-145y-320z',
        44:'1665x-58y-336z',
        45:'1678x-265y-38z',
        46:'1689x-177y-55z',
        47:'168x-656y-1559z',
        48:'1696x-88y-72z',
        49:'177x-1078y-1302z',
        50:'198x-838y-1465z',
        51:'209x-668y-1658z',
        52:'21x-919y-1429z',
        53:'230x-1054y-1313z',
        54:'237x-1681y-86z',
        55:'238x-812y-1474z',
        56:'275x-785y-1482z',
        57:'281x-1028y-1324z',
        58:'30x-738y-1530z',
        59:'310x-755y-1490z',
        60:'324x-1665y-103z',
        61:'331x-999y-1334z',
        62:'343x-725y-1498z',
        63:'373x-692y-1506z',
        64:'378x-968y-1345z',
        65:'401x-659y-1514z',
        66:'411x-1645y-120z',
        67:'422x-934y-1355z',
        68:'426x-624y-1522z',
        69:'449x-589y-1529z',
        70:'464x-899y-1365z',
        71:'470x-553y-1537z',
        72:'471x-13y-1633z',
        73:'486x-39y-1628z',
        74:'487x-517y-1544z',
        75:'496x-1620y-137z',
        76:'500x-67y-1623z',
        77:'503x-480y-1551z',
        78:'504x-862y-1375z',
        79:'511x-96y-1618z',
        80:'515x-442y-1558z',
        81:'521x-126y-1612z',
        82:'525x-405y-1564z',
        83:'529x-158y-1607z',
        84:'533x-368y-1571z',
        85:'536x-191y-1601z',
        86:'538x-332y-1577z',
        87:'540x-225y-1596z',
        88:'541x-260y-1590z',
        89:'541x-295y-1584z',
        90:'541x-822y-1385z',
        91:'575x-782y-1395z',
        92:'579x-1590y-154z',
        93:'606x-740y-1404z',
        94:'60x-1698y-52z',
        95:'635x-697y-1414z',
        96:'64x-1116y-1280z',
        97:'660x-652y-1423z',
        98:'661x-1556y-171z',
        99:'67x-720y-1538z',
        100:'683x-607y-1433z',
        101:'68x-902y-1439z',
        102:'6x-1131y-1269z',
        103:'702x-562y-1442z',
        104:'719x-516y-1451z',
        105:'720x-33y-1539z',
        106:'732x-72y-1532z',
        107:'733x-470y-1459z',
        108:'741x-1518y-188z',
        109:'743x-113y-1524z',
        110:'744x-423y-1468z',
        111:'751x-155y-1517z',
        112:'752x-377y-1476z',
        113:'756x-198y-1509z',
        114:'757x-331y-1485z',
        115:'759x-241y-1501z',
        116:'759x-286y-1493z',
        117:'818x-1475y-205z',
        118:'875x-1457y-15z',
        119:'893x-1428y-222z',
        120:'950x-1409y-32z',
        121:'966x-1378y-238z'}
# -------------------------------------------------------------------------------------------------
# 1800
# -------------------------------------------------------------------------------------------------       
shot2two18004xi = {
        1:'1006x-1491y-34z',
        2:'1022x-1459y-253z',
        3:'1082x-1436y-52z',
        4:'1096x-1401y-270z',
        5:'109x-741y-1636z',
        6:'1156x-1377y-70z',
        7:'1166x-1340y-288z',
        8:'120x-935y-1533z',
        9:'1226x-1314y-88z',
        10:'1232x-1275y-306z',
        11:'1292x-1248y-106z',
        12:'1295x-1206y-324z',
        13:'129x-1163y-1367z',
        14:'1354x-1135y-341z',
        15:'1355x-1178y-124z',
        16:'1409x-1060y-359z',
        17:'1413x-1104y-142z',
        18:'144x-719y-1643z',
        19:'1459x-983y-377z',
        20:'1468x-1028y-160z',
        21:'1505x-903y-394z',
        22:'1518x-949y-178z',
        23:'1547x-821y-412z',
        24:'1564x-867y-196z',
        25:'157x-1791y-73z',
        26:'1584x-737y-429z',
        27:'1606x-783y-214z',
        28:'1616x-652y-447z',
        29:'1643x-697y-232z',
        30:'1644x-565y-464z',
        31:'1667x-477y-481z',
        32:'166x-912y-1542z',
        33:'1675x-609y-250z',
        34:'1685x-388y-499z',
        35:'1698x-298y-516z',
        36:'1702x-520y-267z',
        37:'1706x-208y-533z',
        38:'1707x-28y-568z',
        39:'1709x-118y-550z',
        40:'1724x-429y-285z',
        41:'1738x-465y-5z',
        42:'1741x-338y-303z',
        43:'1753x-246y-321z',
        44:'1760x-374y-23z',
        45:'1761x-154y-338z',
        46:'1763x-61y-356z',
        47:'1777x-281y-41z',
        48:'1789x-188y-59z',
        49:'178x-694y-1650z',
        50:'1795x-94y-77z',
        51:'187x-1141y-1379z',
        52:'210x-887y-1551z',
        53:'220x-705y-1750z',
        54:'22x-973y-1514z',
        55:'244x-1116y-1390z',
        56:'251x-1780y-91z',
        57:'252x-860y-1560z',
        58:'291x-831y-1569z',
        59:'298x-1088y-1401z',
        60:'328x-800y-1578z',
        61:'32x-781y-1621z',
        62:'343x-1763y-109z',
        63:'350x-1058y-1413z',
        64:'363x-767y-1586z',
        65:'395x-733y-1595z',
        66:'400x-1025y-1424z',
        67:'425x-698y-1603z',
        68:'435x-1741y-127z',
        69:'447x-989y-1435z',
        70:'452x-661y-1611z',
        71:'476x-624y-1619z',
        72:'492x-952y-1445z',
        73:'497x-586y-1627z',
        74:'499x-14y-1729z',
        75:'515x-42y-1724z',
        76:'516x-547y-1635z',
        77:'525x-1715y-145z',
        78:'529x-71y-1718z',
        79:'532x-508y-1642z',
        80:'534x-912y-1456z',
        81:'542x-102y-1713z',
        82:'546x-469y-1649z',
        83:'552x-134y-1707z',
        84:'556x-429y-1656z',
        85:'561x-167y-1702z',
        86:'564x-390y-1663z',
        87:'567x-202y-1696z',
        88:'570x-351y-1670z',
        89:'571x-238y-1689z',
        90:'573x-275y-1683z',
        91:'573x-313y-1677z',
        92:'573x-871y-1467z',
        93:'609x-828y-1477z',
        94:'613x-1684y-163z',
        95:'63x-1798y-55z',
        96:'642x-783y-1487z',
        97:'672x-738y-1497z',
        98:'68x-1182y-1355z',
        99:'699x-691y-1507z',
        100:'6x-1197y-1343z',
        101:'700x-1648y-181z',
        102:'71x-762y-1628z',
        103:'723x-643y-1517z',
        104:'72x-955y-1523z',
        105:'744x-595y-1526z',
        106:'761x-546y-1536z',
        107:'762x-35y-1630z',
        108:'775x-77y-1622z',
        109:'776x-497y-1545z',
        110:'785x-1607y-199z',
        111:'786x-119y-1614z',
        112:'787x-448y-1554z',
        113:'795x-164y-1606z',
        114:'796x-400y-1563z',
        115:'801x-209y-1598z',
        116:'801x-351y-1572z',
        117:'804x-256y-1589z',
        118:'804x-303y-1581z',
        119:'867x-1562y-217z',
        120:'927x-1542y-16z',
        121:'946x-1512y-235z'}
# -------------------------------------------------------------------------------------------------
# 1900
# -------------------------------------------------------------------------------------------------
shot2two19004xi = {
        1:'1062x-1574y-36z',
        2:'1079x-1540y-267z',
        3:'1142x-1516y-55z',
        4:'1157x-1479y-285z',
        5:'115x-783y-1727z',
        6:'1220x-1454y-74z',
        7:'1231x-1414y-304z',
        8:'127x-987y-1618z',
        9:'1294x-1387y-93z',
        10:'1301x-1346y-323z',
        11:'1364x-1317y-112z',
        12:'1367x-1273y-342z',
        13:'136x-1228y-1443z',
        14:'1429x-1198y-360z',
        15:'1430x-1243y-131z',
        16:'1487x-1119y-379z',
        17:'1492x-1166y-150z',
        18:'152x-759y-1735z',
        19:'1540x-1038y-398z',
        20:'1550x-1085y-169z',
        21:'1589x-953y-416z',
        22:'1603x-1001y-188z',
        23:'1633x-867y-435z',
        24:'1651x-915y-207z',
        25:'166x-1891y-77z',
        26:'1672x-778y-453z',
        27:'1695x-826y-226z',
        28:'1706x-688y-471z',
        29:'1734x-736y-245z',
        30:'1735x-596y-490z',
        31:'1759x-503y-508z',
        32:'175x-963y-1628z',
        33:'1768x-643y-263z',
        34:'1778x-409y-526z',
        35:'1792x-315y-545z',
        36:'1796x-549y-282z',
        37:'1801x-220y-563z',
        38:'1802x-30y-599z',
        39:'1804x-125y-581z',
        40:'1820x-453y-301z',
        41:'1835x-491y-5z',
        42:'1838x-357y-320z',
        43:'1851x-260y-338z',
        44:'1858x-162y-357z',
        45:'1858x-394y-24z',
        46:'1861x-64y-376z',
        47:'1876x-297y-43z',
        48:'187x-733y-1742z',
        49:'1888x-198y-62z',
        50:'1895x-99y-81z',
        51:'197x-1204y-1455z',
        52:'222x-936y-1637z',
        53:'232x-742y-1842z',
        54:'24x-1027y-1598z',
        55:'257x-1178y-1467z',
        56:'265x-1878y-96z',
        57:'266x-908y-1647z',
        58:'307x-877y-1656z',
        59:'315x-1149y-1479z',
        60:'347x-844y-1666z',
        61:'34x-825y-1711z',
        62:'362x-1861y-115z',
        63:'370x-1117y-1491z',
        64:'383x-810y-1675z',
        65:'417x-774y-1684z',
        66:'422x-1082y-1503z',
        67:'448x-736y-1692z',
        68:'459x-1838y-134z',
        69:'472x-1044y-1514z',
        70:'477x-698y-1701z',
        71:'502x-658y-1709z',
        72:'519x-1005y-1526z',
        73:'525x-618y-1717z',
        74:'527x-15y-1825z',
        75:'544x-44y-1819z',
        76:'545x-577y-1725z',
        77:'554x-1810y-153z',
        78:'559x-75y-1814z',
        79:'562x-536y-1733z',
        80:'563x-963y-1537z',
        81:'572x-107y-1808z',
        82:'576x-495y-1741z',
        83:'583x-141y-1802z',
        84:'587x-453y-1748z',
        85:'592x-177y-1796z',
        86:'596x-412y-1756z',
        87:'599x-214y-1790z',
        88:'601x-371y-1763z',
        89:'603x-251y-1783z',
        90:'604x-919y-1548z',
        91:'605x-290y-1777z',
        92:'605x-330y-1770z',
        93:'642x-874y-1559z',
        94:'648x-1777y-172z',
        95:'677x-827y-1570z',
        96:'67x-1897y-58z',
        97:'709x-779y-1580z',
        98:'72x-1247y-1430z',
        99:'738x-729y-1591z',
        100:'739x-1739y-191z',
        101:'75x-805y-1719z',
        102:'763x-679y-1601z',
        103:'76x-1008y-1608z',
        104:'785x-628y-1611z',
        105:'7x-1264y-1418z',
        106:'804x-37y-1720z',
        107:'804x-577y-1621z',
        108:'818x-81y-1712z',
        109:'819x-525y-1631z',
        110:'828x-1696y-210z',
        111:'830x-126y-1704z',
        112:'831x-473y-1641z',
        113:'839x-173y-1695z',
        114:'840x-422y-1650z',
        115:'845x-221y-1687z',
        116:'846x-371y-1660z',
        117:'848x-270y-1678z',
        118:'849x-320y-1669z',
        119:'915x-1649y-229z',
        120:'978x-1628y-17z',
        121:'999x-1596y-248z'}
# -------------------------------------------------------------------------------------------------
# 2000
# -------------------------------------------------------------------------------------------------
shot2two20004xi = {
        1:'1030x-1714y-18z',
        2:'1051x-1680y-261z',
        3:'1118x-1657y-38z',
        4:'1136x-1621y-281z',
        5:'1203x-1596y-58z',
        6:'1218x-1557y-300z',
        7:'121x-824y-1818z',
        8:'1284x-1530y-78z',
        9:'1295x-1489y-320z',
        10:'133x-1039y-1703z',
        11:'1362x-1460y-98z',
        12:'1369x-1416y-340z',
        13:'1436x-1386y-118z',
        14:'1439x-1340y-360z',
        15:'143x-1292y-1519z',
        16:'1504x-1261y-379z',
        17:'1505x-1308y-138z',
        18:'1565x-1178y-399z',
        19:'1571x-1227y-158z',
        20:'160x-799y-1826z',
        21:'1621x-1092y-418z',
        22:'1631x-1142y-178z',
        23:'1673x-1004y-438z',
        24:'1687x-1054y-198z',
        25:'1719x-913y-457z',
        26:'1738x-963y-218z',
        27:'175x-1990y-82z',
        28:'1760x-819y-477z',
        29:'1784x-870y-238z',
        30:'1796x-724y-496z',
        31:'1825x-774y-258z',
        32:'1827x-628y-516z',
        33:'184x-1013y-1713z',
        34:'1852x-530y-535z',
        35:'1861x-677y-277z',
        36:'1872x-431y-554z',
        37:'1886x-331y-573z',
        38:'1891x-578y-297z',
        39:'1895x-231y-593z',
        40:'1897x-32y-631z',
        41:'1899x-131y-612z',
        42:'1915x-477y-317z',
        43:'1931x-517y-5z',
        44:'1935x-376y-337z',
        45:'1948x-273y-356z',
        46:'1956x-171y-376z',
        47:'1956x-415y-25z',
        48:'1959x-68y-396z',
        49:'1974x-312y-45z',
        50:'197x-771y-1834z',
        51:'1987x-208y-65z',
        52:'1995x-104y-85z',
        53:'208x-1268y-1532z',
        54:'233x-986y-1724z',
        55:'244x-779y-1934z',
        56:'25x-1081y-1682z',
        57:'271x-1240y-1545z',
        58:'279x-1977y-102z',
        59:'280x-955y-1734z',
        60:'324x-923y-1744z',
        61:'331x-1209y-1557z',
        62:'365x-889y-1753z',
        63:'36x-868y-1801z',
        64:'381x-1959y-122z',
        65:'389x-1175y-1570z',
        66:'403x-852y-1763z',
        67:'439x-815y-1772z',
        68:'444x-1139y-1582z',
        69:'472x-775y-1781z',
        70:'483x-1935y-141z',
        71:'497x-1099y-1594z',
        72:'502x-735y-1790z',
        73:'529x-693y-1799z',
        74:'546x-1058y-1606z',
        75:'553x-651y-1808z',
        76:'555x-16y-1921z',
        77:'572x-46y-1915z',
        78:'573x-608y-1816z',
        79:'583x-1906y-161z',
        80:'588x-79y-1909z',
        81:'591x-564y-1825z',
        82:'593x-1014y-1618z',
        83:'602x-113y-1903z',
        84:'606x-521y-1833z',
        85:'613x-149y-1897z',
        86:'618x-477y-1841z',
        87:'623x-186y-1891z',
        88:'627x-433y-1848z',
        89:'630x-225y-1884z',
        90:'633x-390y-1856z',
        91:'635x-265y-1877z',
        92:'636x-348y-1863z',
        93:'636x-968y-1630z',
        94:'637x-306y-1870z',
        95:'676x-920y-1641z',
        96:'682x-1871y-181z',
        97:'70x-1997y-62z',
        98:'713x-870y-1652z',
        99:'747x-820y-1664z',
        100:'76x-1313y-1506z',
        101:'777x-768y-1675z',
        102:'778x-1831y-201z',
        103:'79x-847y-1809z',
        104:'7x-1330y-1493z',
        105:'803x-715y-1685z',
        106:'80x-1061y-1693z',
        107:'826x-661y-1696z',
        108:'846x-607y-1707z',
        109:'847x-39y-1811z',
        110:'862x-553y-1717z',
        111:'862x-85y-1802z',
        112:'872x-1786y-221z',
        113:'874x-133y-1793z',
        114:'875x-498y-1727z',
        115:'883x-182y-1784z',
        116:'884x-444y-1737z',
        117:'890x-232y-1775z',
        118:'891x-390y-1747z',
        119:'893x-284y-1766z',
        120:'893x-337y-1757z',
        121:'963x-1735y-241z'}         

# -------------------------------------------------------------------------------------------------
# 2100
# -------------------------------------------------------------------------------------------------
shot2two21004xi = {
        1:'1011x-1822y-253z',
        2:'1081x-1799y-19z',
        3:'1104x-1765y-274z',
        4:'1174x-1740y-40z',
        5:'1193x-1702y-295z',
        6:'1263x-1676y-61z',
        7:'1279x-1635y-315z',
        8:'127x-865y-1909z',
        9:'1348x-1607y-82z',
        10:'1360x-1563y-336z',
        11:'140x-1091y-1788z',
        12:'1430x-1533y-103z',
        13:'1438x-1487y-357z',
        14:'1507x-1456y-124z',
        15:'150x-1357y-1595z',
        16:'1511x-1407y-378z',
        17:'1580x-1324y-398z',
        18:'1581x-1374y-145z',
        19:'1644x-1237y-419z',
        20:'1649x-1288y-166z',
        21:'168x-838y-1917z',
        22:'1702x-1147y-439z',
        23:'1713x-1199y-187z',
        24:'1756x-1054y-460z',
        25:'1772x-1107y-208z',
        26:'1805x-958y-480z',
        27:'1825x-1012y-229z',
        28:'183x-2090y-86z',
        29:'1848x-860y-501z',
        30:'1874x-914y-250z',
        31:'1886x-761y-521z',
        32:'1916x-813y-270z',
        33:'1918x-659y-541z',
        34:'1945x-556y-562z',
        35:'194x-1064y-1799z',
        36:'1954x-711y-291z',
        37:'1966x-452y-582z',
        38:'1981x-348y-602z',
        39:'1985x-607y-312z',
        40:'1990x-243y-622z',
        41:'1992x-33y-662z',
        42:'1994x-138y-642z',
        43:'2011x-501y-333z',
        44:'2028x-543y-5z',
        45:'2031x-394y-353z',
        46:'2046x-287y-374z',
        47:'2053x-436y-26z',
        48:'2054x-179y-395z',
        49:'2057x-71y-415z',
        50:'2073x-328y-47z',
        51:'207x-810y-1926z',
        52:'2087x-219y-68z',
        53:'2095x-109y-89z',
        54:'218x-1331y-1608z',
        55:'245x-1035y-1810z',
        56:'255x-817y-2026z',
        57:'26x-1135y-1766z',
        58:'284x-1302y-1622z',
        59:'292x-2076y-107z',
        60:'294x-1003y-1820z',
        61:'340x-969y-1831z',
        62:'348x-1270y-1635z',
        63:'37x-912y-1891z',
        64:'383x-933y-1841z',
        65:'401x-2057y-128z',
        66:'409x-1234y-1648z',
        67:'424x-895y-1851z',
        68:'461x-855y-1861z',
        69:'467x-1196y-1661z',
        70:'496x-814y-1870z',
        71:'507x-2032y-149z',
        72:'522x-1154y-1674z',
        73:'527x-772y-1880z',
        74:'555x-728y-1889z',
        75:'574x-1111y-1686z',
        76:'580x-683y-1898z',
        77:'582x-16y-2017z',
        78:'601x-49y-2011z',
        79:'602x-638y-1907z',
        80:'613x-2001y-170z',
        81:'617x-83y-2005z',
        82:'621x-593y-1916z',
        83:'623x-1064y-1699z',
        84:'632x-119y-1998z',
        85:'637x-547y-1924z',
        86:'644x-156y-1992z',
        87:'649x-501y-1933z',
        88:'654x-195y-1985z',
        89:'658x-455y-1941z',
        90:'662x-236y-1978z',
        91:'665x-410y-1949z',
        92:'667x-278y-1971z',
        93:'668x-1016y-1711z',
        94:'668x-365y-1956z',
        95:'669x-321y-1964z',
        96:'710x-966y-1723z',
        97:'716x-1964y-190z',
        98:'749x-914y-1735z',
        99:'74x-2097y-65z',
        100:'784x-861y-1747z',
        101:'80x-1379y-1581z',
        102:'815x-806y-1758z',
        103:'817x-1922y-211z',
        104:'83x-890y-1900z',
        105:'843x-751y-1770z',
        106:'84x-1114y-1777z',
        107:'868x-694y-1781z',
        108:'888x-637y-1792z',
        109:'889x-41y-1901z',
        110:'8x-1397y-1567z',
        111:'905x-580y-1803z',
        112:'905x-89y-1892z',
        113:'915x-1875y-232z',
        114:'917x-139y-1883z',
        115:'919x-523y-1814z',
        116:'927x-191y-1874z',
        117:'929x-466y-1824z',
        118:'934x-244y-1864z',
        119:'935x-410y-1834z',
        120:'938x-298y-1854z',
        121:'938x-354y-1844z'}
# -------------------------------------------------------------------------------------------------
# 2200
# -------------------------------------------------------------------------------------------------
shot2two22004xi = {
        1:'1059x-1909y-265z',
        2:'1133x-1885y-20z',
        3:'1156x-1849y-287z',
        4:'1229x-1823y-42z',
        5:'1250x-1783y-309z',
        6:'1323x-1756y-64z',
        7:'1339x-1713y-331z',
        8:'133x-906y-1999z',
        9:'1413x-1683y-86z',
        10:'1425x-1638y-352z',
        11:'147x-1143y-1873z',
        12:'1498x-1607y-108z',
        13:'1506x-1558y-374z',
        14:'1579x-1525y-130z',
        15:'157x-1421y-1671z',
        16:'1583x-1475y-396z',
        17:'1655x-1387y-417z',
        18:'1656x-1439y-152z',
        19:'1722x-1296y-439z',
        20:'1728x-1350y-174z',
        21:'176x-878y-2009z',
        22:'1784x-1201y-460z',
        23:'1794x-1256y-196z',
        24:'1840x-1104y-482z',
        25:'1856x-1160y-218z',
        26:'1891x-1004y-503z',
        27:'1912x-1060y-240z',
        28:'192x-2189y-90z',
        29:'1936x-901y-525z',
        30:'1963x-957y-262z',
        31:'1976x-797y-546z',
        32:'2008x-852y-283z',
        33:'2010x-690y-567z',
        34:'2037x-583y-589z',
        35:'203x-1115y-1885z',
        36:'2047x-745y-305z',
        37:'2059x-474y-610z',
        38:'2075x-364y-631z',
        39:'2080x-636y-327z',
        40:'2085x-254y-652z',
        41:'2087x-35y-694z',
        42:'2089x-145y-673z',
        43:'2107x-525y-349z',
        44:'2125x-569y-6z',
        45:'2128x-413y-370z',
        46:'2143x-301y-392z',
        47:'2151x-457y-28z',
        48:'2152x-188y-414z',
        49:'2155x-75y-435z',
        50:'2172x-344y-50z',
        51:'217x-848y-2017z',
        52:'2186x-229y-72z',
        53:'2194x-115y-94z',
        54:'229x-1395y-1685z',
        55:'257x-1084y-1896z',
        56:'267x-854y-2118z',
        57:'27x-1189y-1850z',
        58:'298x-1364y-1699z',
        59:'306x-2175y-112z',
        60:'308x-1051y-1907z',
        61:'356x-1015y-1918z',
        62:'364x-1330y-1713z',
        63:'39x-955y-1981z',
        64:'401x-978y-1929z',
        65:'420x-2155y-134z',
        66:'428x-1293y-1727z',
        67:'444x-938y-1939z',
        68:'483x-896y-1949z',
        69:'489x-1253y-1740z',
        70:'519x-853y-1960z',
        71:'532x-2128y-156z',
        72:'547x-1209y-1754z',
        73:'552x-808y-1969z',
        74:'582x-763y-1979z',
        75:'601x-1164y-1767z',
        76:'608x-716y-1989z',
        77:'610x-17y-2113z',
        78:'629x-51y-2107z',
        79:'631x-669y-1998z',
        80:'642x-2096y-178z',
        81:'647x-87y-2100z',
        82:'651x-621y-2007z',
        83:'652x-1115y-1780z',
        84:'662x-124y-2094z',
        85:'667x-573y-2016z',
        86:'675x-164y-2087z',
        87:'680x-525y-2025z',
        88:'685x-205y-2080z',
        89:'690x-477y-2033z',
        90:'693x-247y-2073z',
        91:'697x-429y-2041z',
        92:'698x-291y-2065z',
        93:'700x-1065y-1793z',
        94:'700x-382y-2049z',
        95:'701x-336y-2057z',
        96:'744x-1012y-1805z',
        97:'750x-2058y-200z',
        98:'77x-2197y-68z',
        99:'784x-958y-1818z',
        100:'821x-902y-1830z',
        101:'84x-1444y-1656z',
        102:'854x-845y-1842z',
        103:'856x-2014y-221z',
        104:'87x-932y-1990z',
        105:'884x-786y-1854z',
        106:'88x-1167y-1862z',
        107:'8x-1463y-1642z',
        108:'909x-727y-1866z',
        109:'931x-668y-1877z',
        110:'932x-43y-1992z',
        111:'948x-608y-1889z',
        112:'948x-94y-1982z',
        113:'959x-1964y-243z',
        114:'961x-146y-1973z',
        115:'963x-548y-1900z',
        116:'971x-200y-1963z',
        117:'973x-488y-1911z',
        118:'979x-256y-1953z',
        119:'980x-429y-1922z',
        120:'982x-313y-1943z',
        121:'983x-370y-1932z'}
# -------------------------------------------------------------------------------------------------
# 2300
# -------------------------------------------------------------------------------------------------
shot2two23004xi = {
        1:'1003x-2053y-254z',
        2:'1005x-153y-2062z',
        3:'1006x-573y-1986z',
        4:'1016x-209y-2052z',
        5:'1017x-511y-1998z',
        6:'1023x-267y-2042z',
        7:'1024x-449y-2009z',
        8:'1027x-327y-2031z',
        9:'1027x-387y-2020z',
        10:'1107x-1996y-277z',
        11:'1184x-1971y-21z',
        12:'1209x-1933y-300z',
        13:'1285x-1906y-44z',
        14:'1307x-1864y-323z',
        15:'1383x-1836y-67z',
        16:'139x-948y-2090z',
        17:'1400x-1791y-346z',
        18:'1477x-1760y-90z',
        19:'1490x-1712y-368z',
        20:'153x-1195y-1959z',
        21:'1566x-1680y-113z',
        22:'1575x-1629y-391z',
        23:'164x-1486y-1747z',
        24:'1651x-1594y-136z',
        25:'1655x-1542y-414z',
        26:'1730x-1450y-436z',
        27:'1731x-1505y-159z',
        28:'1800x-1355y-459z',
        29:'1806x-1411y-182z',
        30:'184x-918y-2100z',
        31:'1865x-1256y-481z',
        32:'1876x-1313y-205z',
        33:'1924x-1154y-504z',
        34:'1940x-1212y-228z',
        35:'1977x-1050y-526z',
        36:'1999x-1108y-251z',
        37:'201x-2289y-94z',
        38:'2024x-942y-549z',
        39:'2052x-1001y-273z',
        40:'2066x-833y-571z',
        41:'2099x-891y-296z',
        42:'2101x-722y-593z',
        43:'212x-1166y-1971z',
        44:'2130x-609y-615z',
        45:'2140x-779y-319z',
        46:'2153x-495y-637z',
        47:'2169x-381y-659z',
        48:'2175x-664y-342z',
        49:'2180x-266y-681z',
        50:'2182x-36y-725z',
        51:'2184x-151y-703z',
        52:'2203x-549y-365z',
        53:'2221x-595y-6z',
        54:'2225x-432y-387z',
        55:'2241x-314y-410z',
        56:'2249x-478y-29z',
        57:'2250x-196y-432z',
        58:'2253x-78y-455z',
        59:'2271x-359y-52z',
        60:'227x-887y-2109z',
        61:'2286x-240y-75z',
        62:'2294x-120y-98z',
        63:'239x-1458y-1762z',
        64:'268x-1134y-1982z',
        65:'279x-891y-2210z',
        66:'29x-1243y-1934z',
        67:'311x-1426y-1776z',
        68:'320x-2274y-117z',
        69:'322x-1099y-1994z',
        70:'372x-1062y-2005z',
        71:'381x-1391y-1791z',
        72:'41x-999y-2071z',
        73:'420x-1022y-2016z',
        74:'439x-2253y-140z',
        75:'448x-1352y-1805z',
        76:'464x-980y-2027z',
        77:'505x-937y-2038z',
        78:'511x-1310y-1819z',
        79:'543x-892y-2049z',
        80:'556x-2225y-163z',
        81:'571x-1264y-1833z',
        82:'577x-845y-2059z',
        83:'608x-797y-2069z',
        84:'628x-1216y-1847z',
        85:'636x-748y-2079z',
        86:'638x-18y-2209z',
        87:'658x-53y-2203z',
        88:'660x-699y-2089z',
        89:'671x-2191y-186z',
        90:'676x-91y-2196z',
        91:'680x-649y-2098z',
        92:'682x-1166y-1861z',
        93:'692x-130y-2189z',
        94:'697x-599y-2108z',
        95:'706x-171y-2182z',
        96:'711x-549y-2117z',
        97:'716x-214y-2174z',
        98:'721x-499y-2126z',
        99:'725x-259y-2167z',
        100:'728x-449y-2134z',
        101:'730x-305y-2159z',
        102:'732x-1113y-1874z',
        103:'732x-400y-2143z',
        104:'733x-352y-2151z',
        105:'778x-1058y-1887z',
        106:'784x-2151y-209z',
        107:'81x-2297y-71z',
        108:'820x-1001y-1900z',
        109:'859x-943y-1913z',
        110:'87x-1510y-1732z',
        111:'893x-883y-1926z',
        112:'895x-2105y-232z',
        113:'8x-1530y-1716z',
        114:'91x-974y-2081z',
        115:'924x-822y-1938z',
        116:'92x-1220y-1946z',
        117:'950x-760y-1951z',
        118:'973x-698y-1963z',
        119:'974x-45y-2082z',
        120:'991x-98y-2073z',
        121:'992x-636y-1975z'}
# -------------------------------------------------------------------------------------------------
# 2400
# -------------------------------------------------------------------------------------------------
shot2two24004xi = {
        1:'1015x-729y-2048z',
        2:'1016x-47y-2173z',
        3:'1034x-102y-2163z',
        4:'1035x-663y-2060z',
        5:'1046x-2143y-265z',
        6:'1049x-159y-2152z',
        7:'1050x-598y-2073z',
        8:'1060x-218y-2141z',
        9:'1061x-533y-2085z',
        10:'1068x-279y-2131z',
        11:'1069x-468y-2096z',
        12:'1072x-341y-2119z',
        13:'1072x-404y-2108z',
        14:'1156x-2083y-289z',
        15:'1236x-2057y-22z',
        16:'1261x-2017y-313z',
        17:'1341x-1989y-46z',
        18:'1363x-1945y-337z',
        19:'1443x-1915y-70z',
        20:'145x-989y-2181z',
        21:'1461x-1868y-361z',
        22:'1541x-1837y-94z',
        23:'1555x-1787y-384z',
        24:'160x-1247y-2044z',
        25:'1634x-1753y-118z',
        26:'1643x-1700y-408z',
        27:'1723x-1664y-142z',
        28:'1727x-1609y-432z',
        29:'172x-1551y-1823z',
        30:'1805x-1513y-455z',
        31:'1806x-1570y-166z',
        32:'1878x-1414y-479z',
        33:'1885x-1472y-190z',
        34:'192x-958y-2191z',
        35:'1946x-1311y-502z',
        36:'1958x-1371y-214z',
        37:'2007x-1204y-526z',
        38:'2025x-1265y-238z',
        39:'2063x-1095y-549z',
        40:'2086x-1156y-261z',
        41:'210x-2388y-98z',
        42:'2112x-983y-572z',
        43:'2141x-1044y-285z',
        44:'2155x-869y-596z',
        45:'2190x-929y-309z',
        46:'2192x-753y-619z',
        47:'221x-1216y-2056z',
        48:'2223x-636y-642z',
        49:'2233x-812y-333z',
        50:'2247x-517y-665z',
        51:'2264x-398y-688z',
        52:'2269x-693y-357z',
        53:'2275x-278y-711z',
        54:'2277x-38y-757z',
        55:'2279x-158y-734z',
        56:'2299x-573y-380z',
        57:'2318x-621y-6z',
        58:'2322x-451y-404z',
        59:'2338x-328y-428z',
        60:'2347x-498y-30z',
        61:'2348x-205y-451z',
        62:'2351x-82y-475z',
        63:'2369x-375y-54z',
        64:'237x-926y-2201z',
        65:'2385x-250y-78z',
        66:'2394x-125y-102z',
        67:'250x-1522y-1838z',
        68:'280x-1183y-2069z',
        69:'290x-928y-2302z',
        70:'30x-1297y-2018z',
        71:'325x-1488y-1854z',
        72:'334x-2373y-122z',
        73:'336x-1147y-2081z',
        74:'388x-1108y-2092z',
        75:'397x-1451y-1869z',
        76:'438x-1067y-2104z',
        77:'43x-1042y-2161z',
        78:'458x-2351y-146z',
        79:'467x-1411y-1884z',
        80:'484x-1023y-2115z',
        81:'527x-978y-2127z',
        82:'533x-1367y-1898z',
        83:'566x-930y-2138z',
        84:'580x-2322y-170z',
        85:'596x-1319y-1913z',
        86:'602x-882y-2149z',
        87:'635x-832y-2159z',
        88:'656x-1269y-1927z',
        89:'663x-781y-2169z',
        90:'666x-19y-2305z',
        91:'687x-56y-2298z',
        92:'688x-729y-2180z',
        93:'700x-2287y-194z',
        94:'706x-94y-2291z',
        95:'710x-677y-2190z',
        96:'712x-1217y-1942z',
        97:'722x-136y-2284z',
        98:'728x-625y-2199z',
        99:'736x-179y-2277z',
        100:'742x-572y-2209z',
        101:'748x-223y-2269z',
        102:'753x-520y-2218z',
        103:'756x-270y-2261z',
        104:'760x-468y-2227z',
        105:'762x-318y-2253z',
        106:'764x-1161y-1956z',
        107:'764x-367y-2244z',
        108:'764x-417y-2236z',
        109:'812x-1104y-1969z',
        110:'818x-2245y-218z',
        111:'84x-2397y-74z',
        112:'856x-1045y-1983z',
        113:'896x-984y-1996z',
        114:'91x-1576y-1807z',
        115:'932x-921y-2010z',
        116:'934x-2197y-242z',
        117:'95x-1017y-2171z',
        118:'964x-858y-2023z',
        119:'96x-1274y-2031z',
        120:'992x-794y-2035z',
        121:'9x-1596y-1791z'}
       
# -------------------------------------------------------------------------------------------------
# 2500
# -------------------------------------------------------------------------------------------------
shot2two25004xi = {
        1:'1004x-894y-2107z',
        2:'100x-1327y-2116z',
        3:'1033x-827y-2120z',
        4:'1058x-759y-2133z',
        5:'1059x-49y-2264z',
        6:'1077x-106y-2253z',
        7:'1078x-691y-2146z',
        8:'1090x-2232y-277z',
        9:'1092x-166y-2242z',
        10:'1094x-623y-2159z',
        11:'1104x-228y-2231z',
        12:'1106x-555y-2172z',
        13:'1112x-291y-2219z',
        14:'1113x-488y-2184z',
        15:'1116x-355y-2208z',
        16:'1117x-421y-2196z',
        17:'1204x-2169y-301z',
        18:'1287x-2142y-23z',
        19:'1314x-2101y-326z',
        20:'1397x-2072y-48z',
        21:'1420x-2026y-351z',
        22:'1503x-1995y-73z',
        23:'151x-1030y-2272z',
        24:'1522x-1946y-376z',
        25:'1605x-1913y-98z',
        26:'1619x-1861y-400z',
        27:'167x-1299y-2129z',
        28:'1702x-1826y-123z',
        29:'1712x-1771y-425z',
        30:'1795x-1733y-148z',
        31:'1799x-1676y-450z',
        32:'179x-1615y-1899z',
        33:'1881x-1576y-474z',
        34:'1882x-1636y-173z',
        35:'1957x-1473y-499z',
        36:'1963x-1534y-198z',
        37:'201x-998y-2282z',
        38:'2027x-1365y-523z',
        39:'2039x-1428y-223z',
        40:'2091x-1255y-548z',
        41:'2109x-1318y-248z',
        42:'2149x-1141y-572z',
        43:'2173x-1204y-272z',
        44:'219x-2488y-102z',
        45:'2200x-1024y-596z',
        46:'2230x-1088y-297z',
        47:'2245x-905y-621z',
        48:'2282x-968y-322z',
        49:'2284x-785y-645z',
        50:'2315x-662y-669z',
        51:'231x-1267y-2142z',
        52:'2326x-846y-347z',
        53:'2340x-539y-693z',
        54:'2358x-414y-717z',
        55:'2364x-722y-372z',
        56:'2369x-289y-741z',
        57:'2371x-40y-788z',
        58:'2374x-164y-765z',
        59:'2394x-597y-396z',
        60:'2414x-647y-7z',
        61:'2418x-470y-421z',
        62:'2435x-342y-446z',
        63:'2445x-213y-470z',
        64:'2445x-519y-32z',
        65:'2448x-85y-495z',
        66:'2468x-390y-57z',
        67:'247x-964y-2293z',
        68:'2484x-261y-81z',
        69:'2494x-130y-106z',
        70:'260x-1585y-1915z',
        71:'292x-1232y-2155z',
        72:'302x-965y-2395z',
        73:'31x-1351y-2102z',
        74:'338x-1550y-1931z',
        75:'348x-2472y-127z',
        76:'350x-1194y-2167z',
        77:'405x-1154y-2180z',
        78:'414x-1512y-1947z',
        79:'456x-1111y-2192z',
        80:'45x-1085y-2251z',
        81:'477x-2449y-152z',
        82:'486x-1469y-1962z',
        83:'504x-1066y-2204z',
        84:'549x-1018y-2215z',
        85:'556x-1424y-1978z',
        86:'590x-969y-2227z',
        87:'604x-2419y-177z',
        88:'621x-1374y-1993z',
        89:'627x-919y-2238z',
        90:'661x-867y-2249z',
        91:'683x-1322y-2008z',
        92:'691x-814y-2260z',
        93:'694x-20y-2401z',
        94:'715x-58y-2394z',
        95:'717x-760y-2270z',
        96:'729x-2382y-202z',
        97:'735x-98y-2387z',
        98:'739x-706y-2281z',
        99:'741x-1267y-2023z',
        100:'752x-141y-2379z',
        101:'758x-651y-2291z',
        102:'767x-186y-2371z',
        103:'773x-596y-2301z',
        104:'779x-233y-2363z',
        105:'784x-542y-2310z',
        106:'788x-281y-2355z',
        107:'792x-488y-2320z',
        108:'794x-331y-2347z',
        109:'795x-1210y-2037z',
        110:'796x-382y-2338z',
        111:'796x-435y-2329z',
        112:'846x-1150y-2051z',
        113:'852x-2339y-227z',
        114:'88x-2497y-77z',
        115:'892x-1088y-2066z',
        116:'933x-1025y-2080z',
        117:'95x-1641y-1882z',
        118:'971x-960y-2093z',
        119:'973x-2289y-252z',
        120:'99x-1059y-2262z',
        121:'9x-1663y-1866z'}

# -------------------------------------------------------------------------------------------------
# 2600
# -------------------------------------------------------------------------------------------------
shot2two26004xi = {
        1:'1010x-998y-2177z',
        2:'1011x-2380y-262z',
        3:'103x-1101y-2352z',
        4:'1044x-929y-2191z',
        5:'104x-1380y-2200z',
        6:'1074x-860y-2205z',
        7:'1100x-789y-2219z',
        8:'1101x-51y-2354z',
        9:'1120x-111y-2343z',
        10:'1121x-719y-2232z',
        11:'1133x-2321y-288z',
        12:'1136x-173y-2332z',
        13:'1138x-648y-2245z',
        14:'1148x-237y-2320z',
        15:'1150x-577y-2258z',
        16:'1157x-302y-2308z',
        17:'1158x-507y-2271z',
        18:'1161x-370y-2296z',
        19:'1161x-438y-2284z',
        20:'1252x-2256y-313z',
        21:'1339x-2228y-24z',
        22:'1367x-2185y-339z',
        23:'1453x-2155y-50z',
        24:'1477x-2107y-365z',
        25:'1564x-2075y-76z',
        26:'157x-1071y-2363z',
        27:'1583x-2024y-391z',
        28:'1669x-1990y-102z',
        29:'1684x-1935y-416z',
        30:'174x-1350y-2214z',
        31:'1771x-1899y-128z',
        32:'1780x-1842y-442z',
        33:'1866x-1802y-154z',
        34:'186x-1680y-1975z',
        35:'1871x-1743y-468z',
        36:'1956x-1639y-493z',
        37:'1957x-1701y-180z',
        38:'2035x-1532y-519z',
        39:'2042x-1595y-206z',
        40:'209x-1038y-2374z',
        41:'2108x-1420y-544z',
        42:'2121x-1485y-232z',
        43:'2175x-1305y-570z',
        44:'2194x-1370y-257z',
        45:'2235x-1187y-595z',
        46:'2260x-1252y-283z',
        47:'227x-2587y-106z',
        48:'2288x-1065y-620z',
        49:'2320x-1131y-309z',
        50:'2335x-942y-645z',
        51:'2373x-1007y-335z',
        52:'2375x-816y-671z',
        53:'2408x-689y-696z',
        54:'240x-1318y-2228z',
        55:'2419x-880y-361z',
        56:'2434x-560y-721z',
        57:'2453x-431y-746z',
        58:'2458x-751y-386z',
        59:'2464x-301y-770z',
        60:'2466x-41y-820z',
        61:'2469x-171y-795z',
        62:'2490x-621y-412z',
        63:'2511x-672y-7z',
        64:'2515x-489y-438z',
        65:'2533x-356y-463z',
        66:'2542x-540y-33z',
        67:'2543x-222y-489z',
        68:'2546x-88y-514z',
        69:'2567x-406y-59z',
        70:'257x-1003y-2384z',
        71:'2584x-271y-85z',
        72:'2594x-135y-111z',
        73:'270x-1648y-1991z',
        74:'303x-1282y-2241z',
        75:'313x-1002y-2487z',
        76:'32x-1405y-2186z',
        77:'352x-1612y-2008z',
        78:'362x-2571y-132z',
        79:'364x-1242y-2254z',
        80:'421x-1200y-2267z',
        81:'431x-1572y-2024z',
        82:'46x-1129y-2341z',
        83:'475x-1155y-2279z',
        84:'496x-2547y-158z',
        85:'506x-1528y-2041z',
        86:'525x-1108y-2292z',
        87:'571x-1059y-2304z',
        88:'578x-1481y-2057z',
        89:'614x-1008y-2316z',
        90:'628x-2516y-184z',
        91:'646x-1429y-2072z',
        92:'652x-955y-2328z',
        93:'687x-901y-2339z',
        94:'710x-1375y-2088z',
        95:'719x-846y-2350z',
        96:'721x-20y-2497z',
        97:'744x-60y-2490z',
        98:'746x-790y-2361z',
        99:'758x-2477y-210z',
        100:'764x-102y-2482z',
        101:'769x-734y-2372z',
        102:'771x-1318y-2103z',
        103:'782x-147y-2474z',
        104:'788x-677y-2383z',
        105:'798x-193y-2466z',
        106:'804x-620y-2393z',
        107:'810x-242y-2458z',
        108:'815x-564y-2403z',
        109:'819x-292y-2449z',
        110:'823x-507y-2413z',
        111:'825x-344y-2441z',
        112:'827x-1258y-2119z',
        113:'828x-398y-2432z',
        114:'828x-452y-2422z',
        115:'879x-1196y-2134z',
        116:'886x-2432y-236z',
        117:'927x-1132y-2148z',
        118:'92x-2597y-80z',
        119:'971x-1066y-2163z',
        120:'99x-1707y-1958z',
        121:'9x-1729y-1940z'}
# -------------------------------------------------------------------------------------------------
# 2700
# -------------------------------------------------------------------------------------------------
shot2two27004xi = {
        1:'1008x-1107y-2246z',
        2:'103x-1773y-2033z',
        3:'1049x-1037y-2261z',
        4:'1050x-2472y-272z',
        5:'107x-1144y-2443z',
        6:'1084x-965y-2276z',
        7:'108x-1433y-2285z',
        8:'10x-1796y-2015z',
        9:'1116x-893y-2290z',
        10:'1142x-820y-2304z',
        11:'1143x-53y-2445z',
        12:'1163x-115y-2433z',
        13:'1164x-746y-2318z',
        14:'1177x-2411y-299z',
        15:'1180x-179y-2421z',
        16:'1181x-673y-2332z',
        17:'1192x-246y-2409z',
        18:'1194x-600y-2345z',
        19:'1201x-314y-2397z',
        20:'1202x-527y-2359z',
        21:'1206x-384y-2384z',
        22:'1206x-455y-2372z',
        23:'1300x-2343y-326z',
        24:'1390x-2314y-25z',
        25:'1419x-2269y-352z',
        26:'1509x-2237y-52z',
        27:'1534x-2188y-379z',
        28:'1624x-2155y-79z',
        29:'163x-1112y-2454z',
        30:'1644x-2102y-406z',
        31:'1734x-2066y-106z',
        32:'1749x-2010y-432z',
        33:'180x-1402y-2299z',
        34:'1839x-1972y-133z',
        35:'1849x-1912y-459z',
        36:'1938x-1872y-160z',
        37:'193x-1745y-2051z',
        38:'1943x-1810y-486z',
        39:'2031x-1702y-512z',
        40:'2032x-1767y-187z',
        41:'2113x-1591y-539z',
        42:'2120x-1657y-214z',
        43:'217x-1078y-2465z',
        44:'2189x-1475y-565z',
        45:'2202x-1542y-240z',
        46:'2258x-1355y-591z',
        47:'2278x-1423y-267z',
        48:'2321x-1232y-618z',
        49:'2347x-1301y-294z',
        50:'236x-2687y-110z',
        51:'2376x-1106y-644z',
        52:'2409x-1175y-321z',
        53:'2425x-978y-670z',
        54:'2464x-1046y-348z',
        55:'2466x-847y-696z',
        56:'249x-1368y-2313z',
        57:'2501x-715y-722z',
        58:'2512x-914y-375z',
        59:'2527x-582y-748z',
        60:'2547x-447y-774z',
        61:'2553x-780y-401z',
        62:'2559x-312y-800z',
        63:'2561x-43y-852z',
        64:'2564x-177y-826z',
        65:'2586x-644y-428z',
        66:'2607x-698y-7z',
        67:'2612x-507y-455z',
        68:'2630x-369y-481z',
        69:'2640x-561y-34z',
        70:'2641x-231y-508z',
        71:'2644x-92y-534z',
        72:'2666x-422y-61z',
        73:'267x-1041y-2476z',
        74:'2683x-282y-88z',
        75:'2693x-141y-115z',
        76:'281x-1712y-2068z',
        77:'315x-1331y-2327z',
        78:'325x-1039y-2579z',
        79:'34x-1459y-2271z',
        80:'366x-1674y-2085z',
        81:'376x-2670y-137z',
        82:'378x-1290y-2341z',
        83:'437x-1246y-2354z',
        84:'447x-1633y-2102z',
        85:'48x-1172y-2431z',
        86:'493x-1200y-2367z',
        87:'515x-2645y-164z',
        88:'525x-1587y-2119z',
        89:'545x-1151y-2380z',
        90:'593x-1100y-2393z',
        91:'600x-1538y-2136z',
        92:'637x-1047y-2405z',
        93:'652x-2612y-191z',
        94:'671x-1484y-2152z',
        95:'678x-992y-2417z',
        96:'714x-936y-2429z',
        97:'738x-1428y-2168z',
        98:'746x-879y-2441z',
        99:'749x-21y-2593z',
        100:'773x-63y-2586z',
        101:'774x-821y-2452z',
        102:'788x-2573y-218z',
        103:'794x-106y-2578z',
        104:'799x-762y-2463z',
        105:'801x-1369y-2184z',
        106:'813x-153y-2570z',
        107:'819x-703y-2474z',
        108:'828x-201y-2561z',
        109:'835x-644y-2485z',
        110:'841x-251y-2553z',
        111:'847x-585y-2495z',
        112:'851x-304y-2544z',
        113:'855x-527y-2505z',
        114:'857x-358y-2534z',
        115:'859x-1307y-2200z',
        116:'859x-469y-2515z',
        117:'860x-413y-2525z',
        118:'913x-1242y-2216z',
        119:'920x-2526y-245z',
        120:'95x-2697y-83z',
        121:'963x-1175y-2231z'}
# -------------------------------------------------------------------------------------------------
# 2800
# -------------------------------------------------------------------------------------------------
shot2two28004xi = {
        1:'1045x-1148y-2329z',
        2:'106x-1838y-2108z',
        3:'1087x-1075y-2345z',
        4:'1089x-2563y-282z',
        5:'10x-1863y-2090z',
        6:'111x-1186y-2533z',
        7:'1125x-1001y-2360z',
        8:'112x-1486y-2370z',
        9:'1157x-926y-2375z',
        10:'1185x-850y-2389z',
        11:'1186x-55y-2535z',
        12:'1206x-119y-2523z',
        13:'1207x-774y-2404z',
        14:'1221x-2500y-310z',
        15:'1223x-186y-2511z',
        16:'1225x-698y-2418z',
        17:'1236x-255y-2498z',
        18:'1238x-622y-2432z',
        19:'1246x-326y-2486z',
        20:'1247x-546y-2446z',
        21:'1250x-398y-2473z',
        22:'1251x-472y-2459z',
        23:'1348x-2430y-338z',
        24:'1442x-2399y-26z',
        25:'1472x-2353y-365z',
        26:'1565x-2320y-54z',
        27:'1591x-2270y-393z',
        28:'1684x-2235y-82z',
        29:'1705x-2180y-421z',
        30:'170x-1154y-2545z',
        31:'1798x-2143y-110z',
        32:'1814x-2084y-448z',
        33:'187x-1454y-2384z',
        34:'1907x-2045y-138z',
        35:'1917x-1983y-476z',
        36:'200x-1809y-2127z',
        37:'2010x-1941y-166z',
        38:'2015x-1877y-504z',
        39:'2106x-1765y-531z',
        40:'2108x-1832y-194z',
        41:'2192x-1649y-559z',
        42:'2199x-1718y-222z',
        43:'225x-1118y-2556z',
        44:'2270x-1529y-586z',
        45:'2284x-1599y-249z',
        46:'2342x-1405y-613z',
        47:'2362x-1476y-277z',
        48:'2407x-1278y-641z',
        49:'2434x-1349y-305z',
        50:'245x-2786y-114z',
        51:'2464x-1147y-668z',
        52:'2498x-1218y-333z',
        53:'2515x-1014y-695z',
        54:'2555x-1084y-361z',
        55:'2558x-879y-722z',
        56:'258x-1419y-2399z',
        57:'2593x-742y-749z',
        58:'2605x-948y-388z',
        59:'2621x-603y-776z',
        60:'2641x-464y-803z',
        61:'2647x-809y-416z',
        62:'2654x-324y-830z',
        63:'2656x-44y-883z',
        64:'2659x-184y-856z',
        65:'2682x-668y-444z',
        66:'2704x-724y-7z',
        67:'2709x-526y-471z',
        68:'2728x-383y-499z',
        69:'2738x-582y-35z',
        70:'2739x-239y-527z',
        71:'2742x-95y-554z',
        72:'2764x-437y-63z',
        73:'277x-1080y-2568z',
        74:'2783x-292y-91z',
        75:'2793x-146y-119z',
        76:'291x-1775y-2145z',
        77:'327x-1380y-2413z',
        78:'337x-1077y-2671z',
        79:'35x-1513y-2355z',
        80:'379x-1736y-2163z',
        81:'390x-2768y-142z',
        82:'392x-1338y-2427z',
        83:'453x-1293y-2441z',
        84:'464x-1693y-2180z',
        85:'50x-1216y-2521z',
        86:'511x-1244y-2455z',
        87:'534x-2743y-170z',
        88:'545x-1646y-2198z',
        89:'565x-1194y-2468z',
        90:'615x-1141y-2481z',
        91:'622x-1594y-2215z',
        92:'661x-1086y-2494z',
        93:'677x-2709y-198z',
        94:'696x-1539y-2232z',
        95:'703x-1029y-2507z',
        96:'740x-971y-2519z',
        97:'765x-1481y-2249z',
        98:'774x-911y-2531z',
        99:'777x-22y-2689z',
        100:'801x-65y-2681z',
        101:'803x-851y-2543z',
        102:'817x-2668y-226z',
        103:'823x-110y-2673z',
        104:'828x-790y-2555z',
        105:'830x-1419y-2265z',
        106:'843x-158y-2665z',
        107:'849x-729y-2566z',
        108:'859x-208y-2656z',
        109:'866x-668y-2577z',
        110:'872x-261y-2647z',
        111:'878x-607y-2588z',
        112:'882x-315y-2638z',
        113:'887x-547y-2598z',
        114:'889x-371y-2628z',
        115:'891x-1355y-2282z',
        116:'891x-487y-2609z',
        117:'892x-428y-2619z',
        118:'947x-1288y-2298z',
        119:'955x-2619y-254z',
        120:'999x-1219y-2314z',
        121:'99x-2796y-86z'}
# -------------------------------------------------------------------------------------------------
# 2900
# -------------------------------------------------------------------------------------------------
shot2two29004xi = {
        1:'102x-2896y-90z',
        2:'1034x-1262y-2396z',
        3:'1083x-1189y-2412z',
        4:'110x-1904y-2184z',
        5:'1126x-1113y-2428z',
        6:'1128x-2655y-292z',
        7:'115x-1229y-2624z',
        8:'1165x-1037y-2444z',
        9:'116x-1539y-2454z',
        10:'1198x-959y-2460z',
        11:'11x-1929y-2164z',
        12:'1227x-880y-2475z',
        13:'1228x-57y-2626z',
        14:'1250x-124y-2613z',
        15:'1250x-802y-2490z',
        16:'1264x-2589y-321z',
        17:'1267x-193y-2601z',
        18:'1269x-723y-2505z',
        19:'1281x-264y-2588z',
        20:'1283x-644y-2519z',
        21:'1290x-337y-2574z',
        22:'1291x-566y-2533z',
        23:'1295x-412y-2561z',
        24:'1296x-488y-2547z',
        25:'1396x-2517y-350z',
        26:'1493x-2485y-27z',
        27:'1524x-2437y-378z',
        28:'1621x-2403y-56z',
        29:'1648x-2351y-407z',
        30:'1744x-2315y-85z',
        31:'1766x-2258y-436z',
        32:'176x-1195y-2636z',
        33:'1862x-2219y-114z',
        34:'1879x-2159y-465z',
        35:'194x-1506y-2470z',
        36:'1975x-2118y-143z',
        37:'1986x-2054y-493z',
        38:'207x-1874y-2203z',
        39:'2082x-2010y-172z',
        40:'2087x-1944y-522z',
        41:'2182x-1829y-550z',
        42:'2183x-1897y-201z',
        43:'2270x-1708y-579z',
        44:'2278x-1779y-229z',
        45:'233x-1158y-2648z',
        46:'2351x-1584y-607z',
        47:'2366x-1656y-258z',
        48:'2426x-1455y-635z',
        49:'2447x-1529y-287z',
        50:'2493x-1323y-664z',
        51:'2521x-1397y-316z',
        52:'254x-2886y-119z',
        53:'2552x-1188y-692z',
        54:'2587x-1262y-345z',
        55:'2605x-1050y-720z',
        56:'2647x-1123y-374z',
        57:'2649x-910y-748z',
        58:'2686x-768y-776z',
        59:'268x-1470y-2485z',
        60:'2698x-982y-402z',
        61:'2715x-625y-804z',
        62:'2736x-480y-832z',
        63:'2742x-838y-431z',
        64:'2749x-336y-859z',
        65:'2751x-46y-915z',
        66:'2754x-191y-887z',
        67:'2778x-692y-460z',
        68:'2801x-750y-8z',
        69:'2805x-545y-488z',
        70:'2825x-397y-517z',
        71:'2836x-602y-37z',
        72:'2837x-248y-545z',
        73:'2840x-99y-574z',
        74:'2863x-453y-66z',
        75:'286x-1119y-2659z',
        76:'2882x-302y-95z',
        77:'2893x-151y-124z',
        78:'302x-1839y-2221z',
        79:'339x-1429y-2500z',
        80:'348x-1114y-2763z',
        81:'36x-1567y-2439z',
        82:'393x-1798y-2240z',
        83:'404x-2867y-147z',
        84:'406x-1386y-2514z',
        85:'470x-1339y-2528z',
        86:'480x-1754y-2258z',
        87:'529x-1289y-2543z',
        88:'52x-1259y-2611z',
        89:'553x-2841y-176z',
        90:'564x-1705y-2276z',
        91:'585x-1236y-2556z',
        92:'637x-1181y-2570z',
        93:'645x-1651y-2294z',
        94:'685x-1124y-2583z',
        95:'701x-2806y-205z',
        96:'721x-1594y-2312z',
        97:'728x-1066y-2596z',
        98:'767x-1005y-2609z',
        99:'792x-1534y-2329z',
        100:'801x-944y-2622z',
        101:'805x-23y-2785z',
        102:'830x-67y-2777z',
        103:'832x-881y-2634z',
        104:'846x-2763y-234z',
        105:'853x-114y-2769z',
        106:'858x-818y-2646z',
        107:'860x-1470y-2346z',
        108:'873x-164y-2760z',
        109:'879x-755y-2658z',
        110:'890x-216y-2751z',
        111:'897x-692y-2669z',
        112:'904x-270y-2742z',
        113:'910x-629y-2680z',
        114:'914x-326y-2732z',
        115:'918x-566y-2691z',
        116:'921x-384y-2722z',
        117:'923x-1403y-2363z',
        118:'923x-504y-2702z',
        119:'924x-444y-2712z',
        120:'981x-1334y-2380z',
        121:'989x-2713y-263z'}
# -------------------------------------------------------------------------------------------------
# 3000
# -------------------------------------------------------------------------------------------------
shot2two30004xi = {
        1:'1015x-1380y-2462z',
        2:'1023x-2806y-272z',
        3:'106x-2996y-93z',
        4:'1070x-1306y-2479z',
        5:'1120x-1230y-2496z',
        6:'114x-1970y-2259z',
        7:'1165x-1152y-2512z',
        8:'1167x-2746y-302z',
        9:'119x-1271y-2714z',
        10:'11x-1996y-2239z',
        11:'1205x-1072y-2528z',
        12:'120x-1592y-2539z',
        13:'1240x-992y-2544z',
        14:'1269x-911y-2560z',
        15:'1270x-59y-2716z',
        16:'1293x-128y-2703z',
        17:'1294x-829y-2576z',
        18:'1308x-2679y-332z',
        19:'1311x-199y-2690z',
        20:'1313x-748y-2591z',
        21:'1325x-273y-2677z',
        22:'1327x-666y-2606z',
        23:'1335x-349y-2663z',
        24:'1336x-585y-2621z',
        25:'1340x-426y-2649z',
        26:'1340x-505y-2635z',
        27:'1445x-2603y-362z',
        28:'1545x-2571y-28z',
        29:'1577x-2521y-392z',
        30:'1677x-2486y-58z',
        31:'1704x-2432y-421z',
        32:'1804x-2394y-88z',
        33:'1827x-2336y-451z',
        34:'182x-1236y-2727z',
        35:'1926x-2296y-118z',
        36:'1943x-2233y-481z',
        37:'200x-1558y-2555z',
        38:'2043x-2191y-148z',
        39:'2054x-2125y-510z',
        40:'2154x-2080y-178z',
        41:'2159x-2011y-540z',
        42:'215x-1939y-2279z',
        43:'2257x-1892y-569z',
        44:'2258x-1963y-207z',
        45:'2348x-1767y-599z',
        46:'2356x-1841y-237z',
        47:'241x-1198y-2739z',
        48:'2432x-1639y-628z',
        49:'2447x-1713y-267z',
        50:'2509x-1506y-657z',
        51:'2531x-1581y-297z',
        52:'2579x-1369y-686z',
        53:'2608x-1445y-327z',
        54:'262x-2985y-123z',
        55:'2640x-1229y-716z',
        56:'2677x-1305y-357z',
        57:'2694x-1087y-745z',
        58:'2738x-1162y-387z',
        59:'2740x-942y-774z',
        60:'2778x-795y-803z',
        61:'277x-1520y-2570z',
        62:'2791x-1016y-416z',
        63:'2808x-646y-832z',
        64:'2830x-497y-860z',
        65:'2836x-867y-446z',
        66:'2843x-347y-889z',
        67:'2846x-48y-946z',
        68:'2849x-197y-918z',
        69:'2873x-716y-476z',
        70:'2897x-776y-8z',
        71:'2902x-564y-505z',
        72:'2923x-410y-535z',
        73:'2934x-623y-38z',
        74:'2935x-256y-564z',
        75:'2938x-102y-594z',
        76:'2962x-469y-68z',
        77:'296x-1157y-2751z',
        78:'2981x-313y-98z',
        79:'2993x-156y-128z',
        80:'312x-1902y-2298z',
        81:'350x-1479y-2586z',
        82:'360x-1151y-2855z',
        83:'37x-1622y-2523z',
        84:'406x-1861y-2317z',
        85:'418x-2966y-153z',
        86:'420x-1433y-2601z',
        87:'486x-1385y-2616z',
        88:'497x-1814y-2336z',
        89:'548x-1333y-2630z',
        90:'54x-1303y-2701z',
        91:'572x-2939y-183z',
        92:'584x-1763y-2355z',
        93:'605x-1279y-2644z',
        94:'659x-1222y-2659z',
        95:'667x-1708y-2373z',
        96:'708x-1163y-2672z',
        97:'725x-2903y-212z',
        98:'746x-1649y-2391z',
        99:'753x-1102y-2686z',
        100:'793x-1040y-2699z',
        101:'820x-1587y-2409z',
        102:'829x-976y-2712z',
        103:'832x-24y-2881z',
        104:'859x-70y-2873z',
        105:'860x-912y-2725z',
        106:'875x-2859y-242z',
        107:'882x-118y-2864z',
        108:'887x-847y-2737z',
        109:'890x-1521y-2427z',
        110:'903x-170y-2855z',
        111:'910x-781y-2749z',
        112:'920x-223y-2846z',
        113:'927x-716y-2761z',
        114:'935x-279y-2836z',
        115:'941x-650y-2773z',
        116:'945x-337y-2826z',
        117:'950x-586y-2784z',
        118:'952x-397y-2816z',
        119:'955x-1452y-2445z',
        120:'955x-522y-2795z',
        121:'956x-459y-2806z'}         

# -------------------------------------------------------------------------------------------------
# 3100
# -------------------------------------------------------------------------------------------------
shot2two31004xi = {
        1:'1049x-1426y-2544z',
        2:'1057x-2900y-281z',
        3:'109x-3096y-96z',
        4:'1106x-1349y-2562z',
        5:'1157x-1271y-2579z',
        6:'118x-2035y-2334z',
        7:'11x-2062y-2314z',
        8:'1204x-1190y-2596z',
        9:'1206x-2838y-312z',
        10:'123x-1313y-2805z',
        11:'1245x-1108y-2613z',
        12:'124x-1645y-2624z',
        13:'1281x-1025y-2629z',
        14:'1312x-941y-2646z',
        15:'1313x-61y-2807z',
        16:'1336x-132y-2794z',
        17:'1337x-857y-2662z',
        18:'1352x-2768y-343z',
        19:'1355x-206y-2780z',
        20:'1357x-773y-2677z',
        21:'1369x-282y-2766z',
        22:'1371x-688y-2693z',
        23:'1379x-361y-2752z',
        24:'1381x-605y-2708z',
        25:'1384x-441y-2738z',
        26:'1385x-522y-2723z',
        27:'1493x-2690y-374z',
        28:'1596x-2657y-29z',
        29:'1630x-2605y-405z',
        30:'1733x-2569y-60z',
        31:'1761x-2513y-435z',
        32:'1864x-2474y-91z',
        33:'1888x-2414y-466z',
        34:'188x-1277y-2818z',
        35:'1991x-2372y-122z',
        36:'2008x-2308y-497z',
        37:'207x-1610y-2640z',
        38:'2111x-2264y-153z',
        39:'2123x-2196y-527z',
        40:'2226x-2149y-183z',
        41:'222x-2003y-2354z',
        42:'2231x-2078y-558z',
        43:'2332x-1955y-588z',
        44:'2333x-2028y-214z',
        45:'2426x-1826y-619z',
        46:'2435x-1902y-245z',
        47:'249x-1238y-2830z',
        48:'2513x-1693y-649z',
        49:'2529x-1770y-276z',
        50:'2593x-1556y-679z',
        51:'2615x-1634y-307z',
        52:'2665x-1415y-709z',
        53:'2695x-1493y-338z',
        54:'271x-3085y-127z',
        55:'2728x-1270y-740z',
        56:'2766x-1349y-369z',
        57:'2784x-1123y-770z',
        58:'2829x-1201y-399z',
        59:'2832x-973y-800z',
        60:'286x-1571y-2656z',
        61:'2871x-821y-829z',
        62:'2884x-1049y-430z',
        63:'2902x-668y-859z',
        64:'2924x-514y-889z',
        65:'2931x-896y-461z',
        66:'2938x-359y-919z',
        67:'2941x-49y-978z',
        68:'2944x-204y-948z',
        69:'2969x-740y-491z',
        70:'2994x-802y-8z',
        71:'2999x-583y-522z',
        72:'3020x-424y-553z',
        73:'3032x-265y-583z',
        74:'3032x-644y-39z',
        75:'3036x-106y-613z',
        76:'3061x-484y-70z',
        77:'306x-1196y-2843z',
        78:'3081x-323y-101z',
        79:'3092x-162y-132z',
        80:'322x-1965y-2375z',
        81:'362x-1528y-2672z',
        82:'372x-1188y-2947z',
        83:'39x-1676y-2607z',
        84:'420x-1923y-2394z',
        85:'432x-3065y-158z',
        86:'434x-1481y-2688z',
        87:'502x-1431y-2703z',
        88:'514x-1875y-2414z',
        89:'55x-1346y-2791z',
        90:'566x-1378y-2718z',
        91:'592x-3037y-189z',
        92:'603x-1822y-2433z',
        93:'626x-1322y-2733z',
        94:'681x-1263y-2747z',
        95:'689x-1765y-2452z',
        96:'732x-1202y-2761z',
        97:'749x-2999y-220z',
        98:'770x-1704y-2471z',
        99:'778x-1139y-2775z',
        100:'820x-1075y-2789z',
        101:'847x-1640y-2490z',
        102:'857x-1009y-2802z',
        103:'860x-24y-2978z',
        104:'887x-72y-2969z',
        105:'889x-942y-2815z',
        106:'904x-2954y-250z',
        107:'912x-122y-2960z',
        108:'917x-875y-2828z',
        109:'919x-1572y-2508z',
        110:'933x-175y-2950z',
        111:'940x-807y-2841z',
        112:'951x-231y-2941z',
        113:'958x-740y-2853z',
        114:'966x-289y-2931z',
        115:'972x-672y-2865z',
        116:'977x-349y-2921z',
        117:'982x-605y-2877z',
        118:'984x-411y-2910z',
        119:'986x-1500y-2526z',
        120:'987x-539y-2888z',
        121:'988x-474y-2899z'}
# -------------------------------------------------------------------------------------------------
# 3200  
# -------------------------------------------------------------------------------------------------
shot2two32004xi = {
                1:   '1004x-694y-2957z',
                2:   '1008x-360y-3015z',
                3:   '1013x-625y-2970z',
                4:   '1016x-424y-3004z',
                5:   '1018x-1549y-2608z',
                6:   '1019x-489y-2993z',
                7:   '1019x-557y-2981z',
                8:   '1082x-1472y-2626z',
                9:   '1091x-2993y-290z',
                10:  '113x-3196y-99z',
                11:  '1141x-1393y-2644z',
                12:  '1195x-1312y-2662z',
                13:  '122x-2101y-2410z',
                14:  '1243x-1229y-2680z',
                15:  '1245x-2929y-322z',
                16:  '127x-1356y-2895z',
                17:  '1285x-1144y-2697z',
                18:  '128x-1698y-2708z',
                19:  '12x-2129y-2388z',
                20:  '1322x-1058y-2714z',
                21:  '1354x-972y-2731z',
                22:  '1355x-63y-2897z',
                23:  '1379x-136y-2884z',
                24:  '1380x-885y-2747z',
                25:  '1395x-2857y-354z',
                26:  '1398x-213y-2870z',
                27:  '1400x-798y-2764z',
                28:  '1413x-291y-2855z',
                29:  '1415x-711y-2780z',
                30:  '1424x-372y-2841z',
                31:  '1425x-624y-2795z',
                32:  '1429x-455y-2826z',
                33:  '1430x-539y-2811z',
                34:  '1541x-2777y-386z',
                35:  '1648x-2742y-30z',
                36:  '1682x-2689y-418z',
                37:  '1789x-2652y-62z',
                38:  '1818x-2594y-449z',
                39:  '1924x-2554y-93z',
                40:  '1948x-2491y-481z',
                41:  '194x-1319y-2909z',
                42:  '2055x-2449y-125z',
                43:  '2073x-2382y-513z',
                44:  '214x-1662y-2725z',
                45:  '2179x-2337y-157z',
                46:  '2191x-2267y-544z',
                47:  '2297x-2218y-189z',
                48:  '229x-2068y-2430z',
                49:  '2303x-2145y-576z',
                50:  '2407x-2018y-607z',
                51:  '2409x-2094y-221z',
                52:  '2505x-1885y-639z',
                53:  '2513x-1963y-253z',
                54:  '257x-1278y-2922z',
                55:  '2594x-1748y-670z',
                56:  '2610x-1828y-285z',
                57:  '2677x-1606y-701z',
                58:  '2700x-1687y-317z',
                59:  '2751x-1460y-732z',
                60:  '2782x-1542y-349z',
                61:  '280x-3184y-131z',
                62:  '2817x-1311y-763z',
                63:  '2855x-1392y-381z',
                64:  '2874x-1159y-794z',
                65:  '2920x-1239y-412z',
                66:  '2923x-1004y-825z',
                67:  '295x-1622y-2742z',
                68:  '2964x-848y-856z',
                69:  '2977x-1083y-444z',
                70:  '2996x-690y-887z',
                71:  '3019x-530y-918z',
                72:  '3026x-925y-476z',
                73:  '3033x-370y-948z',
                74:  '3036x-51y-1009z',
                75:  '3039x-210y-979z',
                76:  '3065x-764y-507z',
                77:  '3090x-828y-8z',
                78:  '3096x-601y-539z',
                79:  '3118x-438y-570z',
                80:  '3129x-665y-40z',
                81:  '3130x-273y-602z',
                82:  '3134x-109y-633z',
                83:  '3159x-500y-72z',
                84:  '316x-1234y-2935z',
                85:  '3180x-334y-104z',
                86:  '3192x-167y-136z',
                87:  '333x-2029y-2451z',
                88:  '374x-1577y-2758z',
                89:  '383x-1225y-3039z',
                90:  '40x-1730y-2691z',
                91:  '433x-1985y-2472z',
                92:  '446x-3164y-163z',
                93:  '448x-1529y-2774z',
                94:  '518x-1477y-2790z',
                95:  '530x-1935y-2492z',
                96:  '57x-1389y-2881z',
                97:  '584x-1422y-2806z',
                98:  '611x-3135y-195z',
                99:  '623x-1881y-2512z',
                100: '646x-1364y-2821z',
                101: '703x-1304y-2836z',
                102: '711x-1822y-2531z',
                103: '755x-1241y-2850z',
                104: '773x-3096y-227z',
                105: '795x-1759y-2551z',
                106: '803x-1176y-2865z',
                107: '846x-1109y-2879z',
                108: '875x-1693y-2570z',
                109: '884x-1042y-2893z',
                110: '888x-25y-3074z',
                111: '916x-74y-3065z',
                112: '918x-973y-2906z',
                113: '934x-3049y-259z',
                114: '941x-126y-3055z',
                115: '946x-903y-2920z',
                116: '949x-1622y-2589z',
                117: '963x-181y-3046z',
                118: '970x-833y-2932z',
                119: '982x-238y-3036z',
                120: '989x-763y-2945z',
                121: '997x-298y-3025z'}
   

# -------------------------------------------------------------------------------------------------
# 3300
# -------------------------------------------------------------------------------------------------
shot2two33004xi = {
        1:'1001x-859y-3024z',
        2:'1013x-246y-3131z',
        3:'1020x-787y-3037z',
        4:'1028x-307y-3120z',
        5:'1035x-715y-3050z',
        6:'1040x-371y-3109z',
        7:'1045x-644y-3062z',
        8:'1048x-437y-3098z',
        9:'1050x-1597y-2689z',
        10:'1050x-574y-3074z',
        11:'1051x-505y-3086z',
        12:'1116x-1518y-2708z',
        13:'1125x-3087y-300z',
        14:'116x-3296y-102z',
        15:'1177x-1437y-2727z',
        16:'1232x-1353y-2745z',
        17:'126x-2167y-2485z',
        18:'1282x-1267y-2763z',
        19:'1284x-3021y-332z',
        20:'12x-2195y-2463z',
        21:'131x-1398y-2986z',
        22:'1326x-1180y-2781z',
        23:'132x-1751y-2793z',
        24:'1364x-1091y-2799z',
        25:'1396x-1002y-2816z',
        26:'1398x-65y-2988z',
        27:'1422x-141y-2974z',
        28:'1423x-912y-2833z',
        29:'1439x-2946y-365z',
        30:'1442x-219y-2959z',
        31:'1444x-822y-2850z',
        32:'1457x-301y-2945z',
        33:'1460x-733y-2867z',
        34:'1468x-384y-2930z',
        35:'1470x-644y-2883z',
        36:'1474x-469y-2914z',
        37:'1474x-556y-2899z',
        38:'1589x-2864y-398z',
        39:'1699x-2828y-30z',
        40:'1735x-2773y-431z',
        41:'1844x-2735y-63z',
        42:'1875x-2675y-463z',
        43:'1985x-2634y-96z',
        44:'2009x-2569y-496z',
        45:'200x-1360y-2999z',
        46:'2119x-2525y-129z',
        47:'2138x-2457y-529z',
        48:'220x-1714y-2810z',
        49:'2247x-2410y-162z',
        50:'2260x-2337y-561z',
        51:'2369x-2288y-195z',
        52:'236x-2132y-2506z',
        53:'2375x-2212y-594z',
        54:'2483x-2081y-626z',
        55:'2484x-2159y-228z',
        56:'2583x-1944y-658z',
        57:'2592x-2025y-261z',
        58:'265x-1318y-3013z',
        59:'2676x-1802y-691z',
        60:'2692x-1885y-294z',
        61:'2760x-1656y-723z',
        62:'2784x-1740y-327z',
        63:'2837x-1506y-755z',
        64:'2868x-1590y-360z',
        65:'289x-3284y-135z',
        66:'2905x-1352y-787z',
        67:'2944x-1436y-393z',
        68:'2964x-1195y-819z',
        69:'3012x-1278y-425z',
        70:'3015x-1036y-851z',
        71:'3056x-874y-883z',
        72:'305x-1673y-2828z',
        73:'3070x-1117y-458z',
        74:'3089x-711y-915z',
        75:'3113x-547y-946z',
        76:'3120x-954y-491z',
        77:'3128x-382y-978z',
        78:'3130x-53y-1041z',
        79:'3134x-217y-1009z',
        80:'3161x-788y-523z',
        81:'3187x-854y-9z',
        82:'3193x-620y-556z',
        83:'3215x-451y-588z',
        84:'3227x-686y-42z',
        85:'3228x-282y-621z',
        86:'3232x-112y-653z',
        87:'3258x-516y-75z',
        88:'326x-1273y-3026z',
        89:'3280x-344y-108z',
        90:'3292x-172y-141z',
        91:'343x-2092y-2528z',
        92:'385x-1627y-2844z',
        93:'395x-1262y-3131z',
        94:'41x-1784y-2775z',
        95:'447x-2047y-2549z',
        96:'460x-3263y-168z',
        97:'462x-1577y-2861z',
        98:'534x-1523y-2877z',
        99:'547x-1996y-2570z',
        100:'59x-1433y-2971z',
        101:'602x-1467y-2893z',
        102:'630x-3233y-201z',
        103:'642x-1940y-2590z',
        104:'666x-1407y-2909z',
        105:'725x-1344y-2924z',
        106:'734x-1879y-2611z',
        107:'779x-1280y-2940z',
        108:'798x-3193y-234z',
        109:'820x-1814y-2631z',
        110:'828x-1213y-2954z',
        111:'873x-1144y-2969z',
        112:'902x-1746y-2650z',
        113:'912x-1074y-2983z',
        114:'916x-26y-3170z',
        115:'944x-77y-3160z',
        116:'947x-1003y-2997z',
        117:'963x-3144y-267z',
        118:'970x-130y-3151z',
        119:'976x-931y-3011z',
        120:'979x-1673y-2670z',
        121:'993x-187y-3141z'}
        
#"
#"/>
ack2build = False
if ack2build is True:
    # ---------------------------------------------------------------------------------------------
    # BUILD THE COORDINATES YOU NEED!
    # ---------------------------------------------------------------------------------------------    
    kb2try = {
                10: {1:     shot2two104xi, 2: 'nack'},
               100: {1:    shot2two1004xi, 2: 'nack'},
               200: {1:    shot2two2004xi, 2: 'nack'},
               300: {1:    shot2two3004xi, 2: 'nack'},
               400: {1:    shot2two4004xi, 2: 'nack'},
               500: {1:    shot2two5004xi, 2: 'nack'},
               600: {1:    shot2two6004xi, 2: 'nack'},
               700: {1:    shot2two7004xi, 2: 'nack'},
               800: {1:    shot2two8004xi, 2: 'nack'},
               900: {1:    shot2two9004xi, 2: 'nack'},
              1000: {1:   shot2two10004xi, 2: 'nack'},
              1100: {1:   shot2two11004xi, 2: 'nack'},
              1200: {1:   shot2two12004xi, 2: 'nack'},
              1300: {1:   shot2two13004xi, 2: 'nack'}, 
              1400: {1:   shot2two14004xi, 2: 'nack'},
              1500: {1:   shot2two15004xi, 2: 'nack'},
              1600: {1:   shot2two16004xi, 2: 'nack'},
              1700: {1:   shot2two17004xi, 2: 'nack'},
              1800: {1:   shot2two18004xi, 2: 'nack'},
              1900: {1:   shot2two19004xi, 2: 'nack'},
              2000: {1:   shot2two20004xi, 2: 'nack'},
              2100: {1:   shot2two21004xi, 2: 'nack'},
              2200: {1:   shot2two22004xi, 2: 'nack'},
              2300: {1:   shot2two23004xi, 2: 'nack'}, 
              2400: {1:   shot2two24004xi, 2: 'nack'},
              2500: {1:   shot2two25004xi, 2: 'nack'}, 
              2600: {1:   shot2two26004xi, 2: 'nack'},
              2700: {1:   shot2two27004xi, 2: 'nack'}, 
              2800: {1:   shot2two28004xi, 2: 'nack'},
              2900: {1:   shot2two29004xi, 2: 'nack'}, 
              3000: {1:   shot2two30004xi, 2: 'nack'},
              3100: {1:   shot2two31004xi, 2: 'nack'},     
              3200: {1:   shot2two32004xi, 2: 'nack'},
              3300: {1:   shot2two33004xi, 2: 'nack'}                                                                                                                                                                                       
        }
      

    # ---------------------------------------------------------------------------------------------
    # (STEP 1/33)
    # ---------------------------------------------------------------------------------------------             
    keys2try = kb2try.keys()
    print("(STEP 1A/33) OF FIRE2TWO4XI - LAYERS: ", keys2try)                                                     # 
    
    for key2try in keys2try:                                                                    
        # -----------------------------------------------------------------------------------------
        # (STEP 2/33)
        # -----------------------------------------------------------------------------------------     
        print("(STEP 2A/33) OF FIRE2TWO4XI - LAYER: ", key2try)                                                   # 
        print("(STEP 2B/33) OF FIRE2TWO4XI - KB2TRY [", key2try, "]: ", kb2try [key2try])                         # 
        print("(STEP 2C/33) OF FIRE2TWO4XI - KB2TRY [", key2try, "] [2]: ", kb2try [key2try][2])                  # 
        if kb2try [key2try] [2] == 'nack':
            # -------------------------------------------------------------------------------------
            # (STEP 3/33) - LAYER COORDINATES REQUIRED TO BUILD!
            # ------------------------------------------------------------------------------------- 
            print("(STEP 3A/33) OF FIRE2TWO4XI - TRYING TO BUILD COORDINATES FOR LAYER: ", key2try)               #                                     

            input_name2xi   = 'shot2two' + str(key2try)+ '4xi.txt'                                                # 
            input_folder2xi = '..//..//txt//'
            input_path2xi = input_folder2xi + input_name2xi 
            
            print("(STEP 3B/33) OF FIRE2TWO4XI - TRYING TO OPEN INPUT FILE: ", input_path2xi)                     # 
            
            input_fd2xi = open(input_path2xi)
            print("(STEP 3C/33) OF FIRE2TWO4XI - OPENED WITH INPUT DESCRIPTOR: ", input_fd2xi)                    # 
           
            key2coordinate = 1                                                                         
            while 1:
                
                # ---------------------------------------------------------------------------------------------------------
                # (STEP 4/33) - PROCESS THE INPUT FILE  
                # --------------------------------------------------------------------------------------------------------- 
                input_line2xi = input_fd2xi.readline()                                                  
                if not input_line2xi:
                    break                                                                                           # 
                else:
                    # ---------------------------------------------------------------------------------------------------------
                    # (STEP 5/33) - PROCESS THE INPUT LINE 
                    # ---------------------------------------------------------------------------------------------------------
                    # print("(STEP 5A/33) OF FIRE2TWO4XI - TRYING TO HANDLE INPUT LINE: ", input_line2xi) 
                    try:
                        i2pass = str.find(input_line2xi,'Copyright')
                        if i2pass == -1:
                            i2pass = str.find(input_line2xi,'time2shot')
                            if i2pass == -1:
                                # print("(STEP 5B/33) OF FIRE2TWO4XI - TRYING TO USE COORDINATES IN INPUT LINE: ", input_line2xi) 
                                try:
                                    core2search = input_line2xi                                                    # 
                                    i2x = str.find(core2search,'x')
                                    i2y = str.find(core2search,'y')
                                    i2z = str.find(core2search,'z')
                                    x2xi = int(core2search[0:i2x])
                                    y2xi = int(core2search[i2x+1:i2y])
                                    z2xi = int(core2search[i2y+1:i2z])
                                
                                    print(key2coordinate, ': ', input_line2xi)                                     # 
                                    key2coordinate = key2coordinate + 1                                            # 
                                
                                except:
                                    print("(STEP 5C/33) OF FIRE2TWO4XI *** FAILED TO USE COORDINATES IN INPUT LINE: ", input_line2xi)                                             
                            else:
                                pass                                                                              # 
                        else:
                            pass                                                                                  # 
                    except:
                        print("(STEP 5Z/33) OF FIRE2TWO4XI *** FAILED TO HANDLE INPUT LINE: ", input_line2xi) 
            # ---------------------------------------------------------------------------------------------
            # (STEP 6/33)
            # ---------------------------------------------------------------------------------------------     
            print("(STEP 6A/33) OF FIRE2TWO4XI - TRYING TO CLOSE INPUT_F2XI: ", input_fd2xi)    
            try:
                input_fd2xi.close()    
                print("(STEP 6B/33) OF COORDINATE_ACTORS4XI - CLOSED INPUT_F2XI: ", input_fd2xi)                    #    
            except:
                print("(STEP 6C/33) OF FIRE2TWO4XI *** FAILED TO CLOSE INPUT_F2XI: ", input_fd2xi)                     
                         
        else:
            # -------------------------------------------------------------------------------------
            # LAYER COORDINATES OK - BUILDING SKIPPED!
            # -------------------------------------------------------------------------------------        
            print("(STEP 7A/33) OF FIRE2TWO4XI - BUILDING SKIPPED FOR LAYER: ", key2try)                     
                    
ack2sense = False
if ack2sense is True:
    # ---------------------------------------------------------------------------------------------
    # SENSE IT!
    # ---------------------------------------------------------------------------------------------    
    from math import *
    kb2sense = {
        10:     shot2two104xi,
        100:    shot2two1004xi,
        200:    shot2two2004xi,
        300:    shot2two3004xi,
        400:    shot2two4004xi,
        500:    shot2two5004xi,
        600:    shot2two6004xi,
        700:    shot2two7004xi,
        800:    shot2two8004xi,
        900:    shot2two9004xi,
        1000:   shot2two10004xi,
        1100:   shot2two11004xi,
        1200:   shot2two12004xi,
        1300:   shot2two13004xi, 
        1400:   shot2two14004xi,
        1500:   shot2two15004xi,
        1600:   shot2two16004xi,
        1700:   shot2two17004xi,
        1800:   shot2two18004xi,
        1900:   shot2two19004xi,
        2000:   shot2two20004xi,
        2100:   shot2two21004xi,
        2200:   shot2two22004xi,
        2300:   shot2two23004xi, 
        2400:   shot2two24004xi,
        2500:   shot2two25004xi, 
        2600:   shot2two26004xi,
        2700:   shot2two27004xi, 
        2800:   shot2two28004xi,
        2900:   shot2two29004xi,
        3000:   shot2two30004xi,
        3100:   shot2two31004xi,     
        3200:   shot2two32004xi,
        3300:   shot2two33004xi                                                                                                                                                                                       
        }
      
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------        
    keys2sense = kb2sense.keys()
    count2totalerrors = 0
    count2shots = 0
    count2layers = 0
     
    for key2sense in keys2sense:
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------     
        count2layers = count2layers + 1
        count2errors = 0
        max2dev = 0
        max2r = 0
        kb2xi = kb2sense[key2sense]
        keys2kb = kb2xi.keys()
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------        
        for key2kb in keys2kb:
            # -------------------------------------------------------------------------------------
            # 
            # -------------------------------------------------------------------------------------         
            count2shots = count2shots + 1
            name2kb = 'shot2two' + str(key2sense) + '4xi'
            layer2xi = key2sense
            core2search = kb2xi[key2kb] 
            i2x = str.find(core2search,'x')
            i2y = str.find(core2search,'y')
            i2z = str.find(core2search,'z')
            x2xi = int(core2search[0:i2x])
            y2xi = int(core2search[i2x+1:i2y])
            z2xi = int(core2search[i2y+1:i2z])
            r2xi = (x2xi**2 + y2xi**2 + z2xi**2)**(1/2)
            if r2xi > max2r:
                max2r = r2xi    
            dev2xi = abs(layer2xi - r2xi)
            if dev2xi > max2dev:
                max2dev = dev2xi    
            if dev2xi < 100:
                ok2xi = '[OK]'
            else:
                ok2xi = '[*** ERROR: TOO LARGE DEVIATION ***OK]'
                count2errors = count2errors + 1 
                count2totalerrors = count2totalerrors + 1    
            print("DRAGON: ", key2kb, " RADIUS: ", r2xi, " EXPECTED LAYER: ", layer2xi, " DEVIATION: ", dev2xi)
            
        # -----------------------------------------------------------------------------------------
        # 
        # ----------------------------------------------------------------------------------------- 
        print('=' *80)        
        if count2errors == 0:
            print("KB ", name2kb , " [OK] - MAX DEVIATION: ", max2dev, ", MAX RADIUS: ", max2r, " IN LAYER: ", layer2xi)
        else:
            print("*** FAILED - ", count2errors, " ERRORS - MAX DEVIATION: ", max2dev, " MAX RADIUS: ", max2r, " KB: ", kb2xi)
        print('=' *80)
        
    # ---------------------------------------------------------------------------------------------
    #
    # 
    # ---------------------------------------------------------------------------------------------         
    print('=' *80)        
    if count2totalerrors == 0:
        print("ALL ", count2shots, "SHOTS OK - ", count2layers, " LAYERS CHECKED ", time4xi())
    else:
        print("*** FAILED *** ", count2totalerrors, " ERRORS IN SHOTS ", count2shots, "- SHOTS - ", count2layers, " LAYERS CHECKED ", time4xi())
    print('=' *80)

    # ================================================================================
    # ALL  4128 SHOTS OK -  34  LAYERS CHECKED  11:20:52 11/29/10 Pacific Standard Time
    # ================================================================================            
    
    
      
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2two4xi" usage = "target function for charge2two4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two104xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4two = "<ack2put4xi>queue2two</ack2put4xi>"
        else:
            message2send4two = "<nack2put4xi>queue2two</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4two)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2TWO4XI -  SENT MESSAGE2SEND4TWO: ", message2send4two, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2TWO4XI *** FAILED TO SEND MESSAGE2SEND4TWO: ", message2send4two, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   fire2two4xi.txt
#   test_verbkb4xi.txt
#   test_zap2actor4xi.txt
#   scope-sense-test-verb4xi.xml
#   scope-reason-test-verb4xi.xml
#   scope-ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
